// 01/11/11 Changed the version attribute of the CXML tab to be the CXML version constant per Sam
// 01/11/11 Uncommented the Pop for "TO in the header section
// 01/13/11 Supply Shared Secred
// 01/19/11 Append @winware.com to the payloadID // Had to use a date with 10 millionths of a second for now because :Guid didn't work into SVar0
// 01/19/11 Update the Fax name attribute to be "work" per Mounika Reddy email
// 01/19/11 Fix the EMailAddress - (A3.) was missing in front of the fieldname on the employee attach line
// 01/21/11 Add Extrinisic for CmPONumber At PO Level
// 01/21/11 Change Extrinsic at Item Level PoDetailId to CmPODetailID
// 01/21/11 Pull PoNumber from a1.UDFCustomerPONumber
// 01/21/11 Pull whole Text of the Blanket PO Flag
// 01/21/11 Add GMT offset to timestamp field

Xml
XmlIndent 2
NoSort

<< PoDetail
Sort PONumber
>> CxmlPO.Xml

Start

,Header
"<?xml version=""1.0"" encoding=""UTF-8""?>",Ex
,Endline
,Endline
,End

// a1 is SiteProfile Record
// a2 is Crib Record
// a3 is PO Record
// a4 is Employee for POBuyerID
Crib,Attach 2,Crib
a2.SiteID,Attach 1,SiteProfile
PONumber,Attach 3, PO
a3.POBuyerID,Attach 4,Employee // 1/19/11 Put the a3 in front of this

// Compute my own Output Filename
"PO ",SVar0=
a3.VendorPO,SVar0+
" - Seq",SVar0+
,SVar0S // It was trimming my trailing space
PONumber,Var0= // I'm going to append the sequence number to insure that the name is unique
,SVar0V // Turn the Var0 number into a string and append it to SVar0
".Xml",SVar0+
:SVar0,OutputFile

//:Guid,SVar0= // 1/19/2011 -Sam asked for the PayloadID to look like this: 6f178e9e-f3f8-4a78-b4a3-5f39bbd294e4@winware.com
:Now,SVar0= "yyyyMMddHHmmssfffffff"
"@winware.com",SVar0+ // Prepare the data for the Attribute before the tag is written

,XmlPush,"cXML"
:Now,XmlAttribute "yyyy-MM-ddTHH:mm:sszzz",timestamp

:SVar0,Xa,payloadID
//:Guid,Xa,payloadID

//"20100915",XmlAttribute,version // *** Change the version when updating this file ****************************
"1.2.011",XmlAttribute,version // *** cXML version (constant) *** Changed 01/11/11 per Sam

,XmlPush,Header|From|Credential
"NetworkID",XMLAttribute,domain
"WINWARE",XmlWrite,Identity
,XmlPop,From

,XmlPush,To
,XmlPush,Credential
"NetworkID",XmlAttribute,domain
"GRAINGER",xw,Identity
,XmlPop,To // 1/11/11 - Uncommented this line

,XmlPush,Sender|Credential
"NetworkID",Xa,domain
"WINWARE",xw,Identity
"ra2nkYkw",xw,SharedSecret
,xo,credential
"WINWARE",xw,UserAgent
,xo,Header

,Xp,"Request"
"production",xa,deploymentMode
,xp,"OrderRequest|OrderRequestHeader"
DateOrdered,xa "yyyy-MM-ddTHH:mm:ss-0000",orderDate
PONumber,xa,orderID
"new",xa,type

,Var1C
PONumber,Total // Total all the PODetail Costs for this PO
// A5 = Inventry Record for each PODetail Record
// A6 = Station Record for each PODetail Record
// A7 = AltVendor
Item,Attach 5,Inventry
CribBin,Attach 6,STATION
A5.AltVendorNo, Attach 7,AltVendor

//a6.OverrideIssuePrice,Var2= // Put OverrideIssuePrice into Var2
a6.UDFLastPricePaid,Var2= // Put UDFLastPricePaid into Var2 // Right now this is the desired pricing field
a7.CaseSize 1,Var2* // Multiply Price times case size
Quantity,Var0=
:Var2,Var0* // Quantity * Price
:Var0,Var1+
,TotalEnd

,xp,Total
:Var1,XmlWrite "N2",Money
"USD",xa,currency
,xo,total

,Xp,ShipTo|Address
"en-us",xa,isoCountryCode
A1.UDFCustomerAccountNumber,xa,addressID
a1.SiteName,xw,Name
"en-US",xa,xml:lang

,xp,PostalAddress
"default",xa,name

a1.SiteCompanyName,Xw,DeliverTo // *********** Data?
//a3.ShipTo1,Xw,Street
//a3.ShipTo2,Xw,Street

//a3.ShipTo3,SVar0=
//a3.ShipTo4,ParseAddress
a1.SiteShipTo1,Xw,Street // Sam switched these 1/13/11
a1.SiteShipTo2,Xw,Street

a1.SiteShipTo3,SVar0=
a1.SiteShipTo4,ParseAddress
:City,Xw,City
:State,Xw,State
:Zip,Xw,PostalCode
:Country,Xw,Country
"US",Xa,isoCountryCode
,xo,PostalAddress

//a3.EMailAddress,Xw,Email // *************** A3 is PO - A4 is Buyer
a4.EmployeeEMailAddress,Xw,Email
"default",xa,name

//a3.Phone,pp // **************** A3 is PO A1 is Site
a1.SitePhone,ParsePhoneNum
,XmlPush,Phone
"work",Xa,name
,xmlpush,TelephoneNumber
:CountryCode,XmlWrite,CountryCode
1,xa,isoCountryCode
:AreaOrCityCode,XmlWrite,AreaOrCityCode
:BasePhoneNumber,XmlWrite,Number
,xo,Phone

//a3.FaxPhone,ParsePhoneNum // **************** A3 is PO A1 is Site
a1.SiteFaxPhone,ParsePhoneNum
,XmlPush,Fax
"work",Xa,name // Updated from blank from email by Mounika Reddy 1/19/11
,xmlpush,TelephoneNumber
:CountryCode,XmlWrite,CountryCode
1,xa,isoCountryCode
:AreaOrCityCode,Xw,AreaOrCityCode
:BasePhoneNumber,Xw,Number
,xo,ShipTo

// Bill To Section
,Xp,BillTo|Address
"en-us",xa,isoCountryCode
"BillTo",xa,addressID
a1.SiteCompanyName,xw,Name
"en-US",xa,xml:lang

,xp,PostalAddress
"default",xa,name

//a2.Name,Xw,DeliverTo // Crib Name
a1.SiteCompanyName,Xw,DeliverTo // Sam Switched to SiteCompanyName 1/13/11
//a3.BillTo1,Xw,Street
//a3.BillTo2,Xw,Street

//a3.BillTo3,SVar0=
//a3.BillTo4,ParseAddress
a1.SiteBillTo1,Xw,Street // Sam Switched to SiteBillTo 1/13/11
a1.SiteBillTo2,Xw,Street

a1.SiteBillTo3,SVar0=
a1.SiteBillTo4,ParseAddress
:City,Xw,City
:State,Xw,State
:Zip,Xw,PostalCode
:Country,Xw,Country
"US",Xa,isoCountryCode
,xo,PostalAddress

//a3.EMailAddress,Xw,Email // *************** A3 is PO - A4 is Buyer
a4.EmployeeEMailAddress,Xw,Email
"default",xa,name

//a3.Phone,pp // **************** A3 is PO A1 is Site
a1.SitePhone,ParsePhoneNum
,XmlPush,Phone
"work",Xa,name
,xmlpush,TelephoneNumber
:CountryCode,XmlWrite,CountryCode
1,xa,isoCountryCode
:AreaOrCityCode,Xw,AreaOrCityCode
:BasePhoneNumber,Xw,Number
,xo,Phone

//a3.FaxPhone,ParsePhoneNum // **************** A3 is PO A1 is Site
a1.SiteFaxPhone,ParsePhoneNum
,XmlPush,Fax
"work",Xa,name
,xmlpush,TelephoneNumber
:CountryCode,XmlWrite,CountryCode
1,xa,isoCountryCode
:AreaOrCityCode,Xw,AreaOrCityCode
:BasePhoneNumber,Xw,Number
,xo,BillTo

// Contact Section
,xp,Contact
"user",xa,role
//a4.Name,xw,Name // Want name to be First name plus Last name from Buyer record
a4.Firstname,SVar0=
,SVar0S
a4.Lastname,SVar0+
:SVar0,xw,Name
"en-us",xa,xml:lang

,xp,PostalAddress
"default",xa,name
a1.SiteShipTo1,xw,Street // ********************
a1.SiteShipTo3,SVar0=
a1.SiteShipTo4,ParseAddress
:City,xw,City
:Country,xw,Country
"US",xa,isoCountryCode
,xo,PostalAddress

a4.EmployeeEMailAddress,xw,Email
"default",xa,name

,xp,Phone
"work",xa,name
a1.SitePhone,ParsePhoneNum
,xp,TelephoneNumber
:CountryCode,xw,CountryCode
1,xa,isoCountryCode
:AreaOrCityCode,xw,AreaOrCityCode
:BasePhoneNumber,Xw,Number
,xo,Contact

//a3.Comments,xw,Comments // Comments from the PORecord
"",xw,Comments // They don't want the comments - Might have bad characters or junk

// Extrinsics go here // *********************************************************** Extrinsics
a3.PONumber,xw,Extrinsic
"CmPONumber",xa,name
a1.UDFCustomerPONumber,xw 22,Extrinsic
"PONumber",xa,name
a1.UDFPOReleaseNumber,xw 12,Extrinsic
"POReleaseNumber",xa,name

,SectionStart // Skip this Extrinsic if no UDFBlanketPOFlag
a1.UDFCustomerPONumberFlag,xw,Extrinsic
"BlanketPOFlag",xa,name
UDFBlanketPOFlag,SectionOmit
,SectionEnd

a1.UDFProjectJobNum,xw 20,Extrinsic
"ProjectJobNum",xa,name
a1.UDFDeptNum,xw 20,Extrinsic
"DeptNum",xa,name
a1.UDFReqName,xw 20,Extrinsic
"ReqName",xa,name
a1.UDFShippingConditions,xw 2,Extrinsic
"ShippingConditions",xa,name
a1.UDFServiceType,xw 3,Extrinsic
"ServiceType",xa,name
a1.UDFBranchScanLoc,xw 3,Extrinsic
"BranchScanLoc",xa,name
a1.UDFCustomerSignReq,xw 1,Extrinsic
"CustomerSignReq",xa,name
a1.UDFDeliveryPlant,xw 3,Extrinsic
"DeliveryPlant",xa,name
a1.UDFEDIHold,xw 1,Extrinsic
"EDIHold",xa,name
a1.UDFGovAccount,xw 1,Extrinsic
"GovAccount",xa,name
a1.UDFTaxCode,xw 1,Extrinsic
"TaxCode",xa,name
a1.UDFHFC,xw 1,Extrinsic
"HFC",xa,name
a1.UDFOrderConf,xw 1,Extrinsic
"OrderConf",xa,name
a1.UDFTrackerID,xw 10,Extrinsic
"TrackerID",xa,name
a1.UDFCompanyCode,xw 5,Extrinsic
"CompanyCode",xa,name
a1.UDFSalesOrg,xw 5,Extrinsic
"SalesOrg",xa,name
a1.UDFTaxClass,xw 5,Extrinsic
"TaxClass",xa,name
a1.UDFShipAgentCode,xw 10,Extrinsic
"ShipAgentCode",xa,name
a1.UDFPCardRef,xw 20,Extrinsic
"PCardRef",xa,name

,xo,OrderRequestHeader

// Detail Line Items ////////////////////////////////////////////////////////////////////// Detail Line Items
PONumber,While
// A5 = Inventry Record for each PODetail Record
// A6 = Station Record for each PODetail Record
// A7 = AltVendor
Item,Attach 5,Inventry
CribBin,Attach 6,STATION
A5.AltVendorNo, Attach 7,AltVendor

,xp,ItemOut
Quantity,xa,quantity
:WhileLine,xa,lineNumber
,xp,ItemID
Item,xw,SupplierPartID
a6.UDFCustomerItemNumber,xw,SupplierPartAuxiliaryID
,xo,ItemID

,xp,ItemDetail|UnitPrice
//A6.UDFLastPricePaid,xw,Money 
a6.UDFLastPricePaid,Var2= // Put UDFLastPricePaid into Var2 // Right now this is the desired pricing field
//a6.OverrideIssuePrice,Var2= // Put OverrideIssuePrice into Var2
a7.CaseSize 1,Var2* // Multiply Price times case size
:Var2,xw,Money 
"USD",xa,currency
,xo,UnitPrice

ItemDescription,xw,Description
"en-US",xa,xml:lang

"EA",xw,UnitOfMeasure
A5.UDFunspsc4,xw,Classification
"UNSPSC",XmlAttribute,domain

a5.MfrNumber,xw,ManufacturerPartID
a5.Manufacturer,xw,ManufacturerName

Id,xw,Extrinsic
"CmPODetailID",xa,name
a6.UDFTaxStatus,xw,Extrinsic 
"Taxable",Xa,name

,xo,ItemOut
,End

,xo,CXML

,Footer
,End

,After
,End


