// ProphetConsignmentUsage

Xml
XmlIndent 2
//dumpnames C:\Tmp\Dump\ProphetConsignmentUsage.Txt

<< SELECT TRANS.transnumber, INVENTRY.VendorNumber, Crib.SiteID, TRANS.CribBin, AltVendor.VendorItemNumber, TRANS.Item, INVENTRY.Description1, INVENTRY.Description2, TRANS.Transdate, TRANS.Transtime, TRANS.TypeDescription, TRANS.quantity, AltVendor.UnitOfMeasure, TRANS.cost, VENDOR.TPName FROM TRANS LEFT JOIN INVENTRY LEFT JOIN VENDOR ON INVENTRY.VendorNumber = VENDOR.VendorNumber ON TRANS.Item = INVENTRY.ItemNumber LEFT JOIN AltVendor ON INVENTRY.AltVendorNo = AltVendor.RecNumber LEFT JOIN Crib ON TRANS.Crib = Crib.Crib

Filter Trans.Consignment = 1 AND VENDOR.TPName IS NOT NULL
Sort Inventry.VendorNumber,Trans.Item,Trans.TransNumber

>> ProphetConsignmentUsage.Xml

Start
,Before
"<?xml version=""1.0""?>",Ex
,Endline
"Order",XmlPush
,End

,GlobalString,Prophet21_ConfigurationID // ConfigurationID // GetGlobalString("Prophet21", "ConfigurationID","")
:SVar0,SVar3=  // SVar3 has ConfigurationID also used for TPNAME
,GlobalString, Options_SiteID // SiteID // GetGlobalString("Options","SiteID","")
:SVar0,SVar4= 
,GlobalString, Prophet21_CompanyID // CompanyID // GetGlobalString("Prophet21", "CompanyID","")
:SVar0,SVar5= 
"CompanyId",SVar6=
// SVar7 // Fixed for Transactions (As opposed to PO items) = "ConsignmentUsage"
,Var8C // Var8 will be the $Total for the PO
,Var9C // Var9 will be the RowCount

// Going to need the Site Profile record
// I'm using attach instead of joining it so I can use the key "DEFAULT" when the crib does not specify
SiteId "DEFAULT",Attach 1,SiteProfile // Read the SiteProfile record with the ID from the Crib record

// I'm using Attach to retrieve the TRANSDETAIL record just in case there are multiple records
// This way I won't see the transaction more than once
transnumber,Attach 2,TRANSDETAIL

"OrderHeader|OrderNumber",XmlPush
,XmlWrite,"BuyerOrderNumber"
"ListOfMessageID|MessageID",XmlPush
,XmlWrite,"IDNumber" // No PO.PONumber info available
"OrderNumber",XmlPop

:Now,XmlWrite "yyyyMMdd","OrderIssueDate"
"OrderReferences|ContractReferences|ListOfContract|Contract|ContractID|Identifier|Agency",XmlPush
:SVar4,XmlWrite,"AgencyCoded" // Have to get the Site ID from somewhere
"Agency",XmlPop
,XmlWrite,"Ident"
"OrderReferences",XmlPop

"Purpose",XmlPush
"ConsignmentUsage",XmlWrite,"PurposeCoded"
"Purpose",XmlPop

"OrderDates",XmlPush
,XmlWrite,"RequestedDeliveryByDate" // No PO.DateRequired info available 
"OrderDates",XmlPop

"OrderParty|BuyerParty|Party|ListOfIdentifier",XmlPush

// COMPANYID
"Identifier|Agency",XmlPush
"CompanyID",XmlWrite,"AgencyCoded"
"Agency",XmlPop
:SVar5,XmlWrite,"Ident"
"Identifier",XmlPop

// ConfigurationID
"Identifier|Agency",XmlPush
"ConfigurationID",XmlWrite,"AgencyCoded"
"Agency",XmlPop
:SVar3,XmlWrite,"Ident" // Supposed to be strConfigurationID - Given by TPCx
"Identifier",XmlPop

// LocationID
"Identifier|Agency",XmlPush
"LocationID",XmlWrite,"AgencyCoded"
"Agency",XmlPop
SiteID,XmlWrite,"Ident"
"Identifier",XmlPop

,SectionStart // UDF Consigned Contract
Consignment,SectionZero // Trying to say Skip if Consignment is false
A1.UDFCONSIGNEDCONTRACT,SectionOmit // Also skip if no contract number
"Identifier|Agency",XmlPush
"Contract",XmlWrite,"AgencyCoded"
"Agency",XmlPop
A1.UDFCONSIGNEDCONTRACT,XmlWrite,"Ident"
"Identifier",XmlPop
,SectionEnd

"ListOfIdentifier",XmlPop

// There's no data here because there is no PO - Should just omit this section
"NameAddress",XmlPush
,XmlWrite,"Name1"
,XmlWrite,"Street"
,XmlWrite,"StreetSupplement1"
,XmlWrite,"PostalCode"
,XmlWrite,"City"
"Region",XmlPush
,XmlWrite,"RegionCoded"
"Region",XmlPop
"Country",XmlPush
,XmlWrite,"CountryCoded"
"BuyerParty",XmlPop

// Ship to Block
A1.SiteShipTo3,SVar0=
A1.SiteShipTo4,ParseAddress
"ShipToParty|Party|PartyID|Identifier|Agency",XmlPush
"ShipToID",XmlWrite,"AgencyCoded"
"Agency",XmlPop
A1.SiteCompanyName,XmlWrite,"Ident"
"PartyID",XmlPop
"NameAddress",XmlPush
A1.SiteShipTo1,XmlWrite,"Name1"
A1.SiteShipTo2,XmlWrite,"Street"
:Add2,XmlWrite,"StreetSupplement1"
:Zip,XmlWrite,"PostalCode"
:City,XmlWrite,"City"
"Region",XmlPush
:State,XmlWrite,"RegionCoded"
"Region",XmlPop
"Country",XmlPush
:Country,XmlWrite,"CountryCoded"
"ShipToParty",XmlPop

"SellerParty|Party|ListOfIdentifier|Identifier|Agency",XmlPush
:SVar3,XmlWrite,"AgencyCoded"
"Agency",XmlPop
TpName,XmlWrite,"Ident"
"OrderParty",XmlPop

"ListOfTransport|Transport",XmlPush
,XmlWrite,"TransportID"
"CarrierID",XmlPush
,XmlWrite,"Identifier"
"ListOfTransport",XmlPop

"OrderTermsOfDelivery|TermsOfDelivery",XmlPush
,XmlWrite,"TermsOfDeliveryDescription" // No PO to get Shipping
"OrderTermsOfDelivery",XmlPop

"OrderAllowancesOrCharges|ListOfAllowOrCharges|AllowOrCharges",XmlPush 
,XmlWrite,"AllowanceOrChargeDescription" // No PO to get Terms
"OrderAllowancesOrCharges",XmlPop

"OrderHeader",XmlPop

PONumber,While
Cost,Var0=
Quantity,Var0*
100,Var0*
:Var0,Var8+
1,Var9+ // Count the lines

"OrderDetail|ListOfItemDetail|ItemDetail|BaseItemDetail|LineItemNum",XmlPush
,XmlWrite,"BuyerLineItemNum" // No PO for PO.ID

,SectionStart // Skip if there is no CribBin
CribBin,SectionOmit
CribBin,XmlWrite,"CribBin"
,SectionEnd
"LineItemNum",XmlPop

"ItemIdentifiers|PartNumbers|SellerPartNumber|PartNum",XmlPush
VendorItemNumber,XmlWrite,"PartID"
"SellerPartNumber",XmlPop
"BuyerPartNumber|PartNum",XmlPush
Item,XmlWrite,"PartID"
"PartNumbers",XmlPop

Description1,SVar0=
,SVar0S
Description2,SVar0+
:SVar0,XmlWrite,"ItemDescription"
"ItemIdentifiers",XmlPop

// ItemLocation node
"ItemLocation",XmlPush
CribBin,XmlWrite,"CribBin"
"ItemLocation",XmlPop

// TransactionDetail node
"TransactionDetail",XmlPush
Transdate,XmlWrite "yyyyMMdd","TransactionDate"
Transtime,XmlWrite,"TransactionTime"
TypeDescription,XmlWrite,"TransactionType"
A2.TransComment,XmlWrite,"Notes"
"TransactionDetail",XmlPop

"TotalQuantity|Quantity",XmlPush
Quantity,XmlWrite,"QuantityValue"
UnitOfMeasure EA,XmlWrite,"UOMCoded"
"BaseItemDetail",XmlPop

"PricingDetail|ListOfPrice|Price|UnitPrice",XmlPush
Cost,Var0=
Quantity,Var0/ // Divide Cost by Quantity to get unit cost on a transaction
:Var0,XmlWrite "N4","UnitPriceValue"
"Currency",XmlPush
"USD",XmlWrite,"CurrencyCoded"
"OrderDetail",XmlPop

,End // Ends PODetail While Loop

,After
"OrderSummary", XmlPush
:Var9, XmlWrite, NumberOfLines
"TotalAmount|MonetaryValue" , XmlPush
100,Var8/
:Var8, XmlWrite, MonetaryAmount
"OrderSummary",XmlPop
"Order",XmlPop
,End // Ends After Block