// ProphetPoXml

Xml
XmlIndent 1
//dumpnames C:\Tmp\Dump\ProphetPoXml.Txt

<< SELECT PODETAIL.PONumber, PODETAIL.ID, PODETAIL.Item, PODETAIL.Quantity, PODETAIL.Received, STATION.Consignment, PO.Address1, PO.Address2, PO.Address3, PO.Address4, PO.ShipTo1, PO.ShipTo2, PO.ShipTo3, PO.ShipTo4, PO.BillTo1, PO.BillTo2, PO.BillTo3, PO.BillTo4, PODETAIL.ItemDescription, PODETAIL.VendorItemNumber, PODETAIL.SalesTaxable, PODETAIL.Description2, PODETAIL.Comments, PODETAIL.Cost, PO.VendorPO, PO.PODate, PO.BlanketPO, PODETAIL.Crib, PODETAIL.RequiredDate, PO.Vendor, VENDOR.TPName, PO.Terms, PO.Shipping, Crib.SiteID, PODETAIL.Type, AltVendor.UnitOfMeasure, PODETAIL.ReturnedDate, PODETAIL.CribBin, PODETAIL.AltVendorNo, PODETAIL.VendorNumber FROM  PODETAIL LEFT OUTER JOIN VENDOR ON VENDOR.VendorNumber = PODETAIL.VendorNumber LEFT OUTER JOIN PO ON PODETAIL.PONumber = PO.PONumber LEFT OUTER JOIN STATION ON PODETAIL.CribBin = STATION.CribBin LEFT OUTER JOIN Crib ON PODETAIL.Crib = Crib.Crib LEFT OUTER JOIN AltVendor ON PODETAIL.AltVendorNo = AltVendor.RecNumber 

Filter Received IS NOT NULL 
Sort ID, PODetail.PONumber, PODetail.CribBin

>> ProphetPO.Xml // WIll Be Overridden

Start
,Before
"<?xml version=""1.0""?>",Ex
,Endline
"Order",XmlPush
,End

,GlobalString,Prophet21_ConfigurationID // ConfigurationID // GetGlobalString("Prophet21", "ConfigurationID","")
:SVar0,SVar3=  // SVar3 has ConfigurationID also used for TPNAME
,GlobalString, Options_SiteID // SiteID // GetGlobalString("Options","SiteID","")
:SVar0,SVar4= 
,GlobalString, Prophet21_CompanyID // CompanyID // GetGlobalString("Prophet21", "CompanyID","")
:SVar0,SVar5= 
"CompanyId",SVar6=
// SVar7 // Passed in to be Purpose String
,Var8C // Var8 will be the $Total for the PO
,Var9C // Var9 will be the RowCount

// Going to need the Site Profile record
SiteId "DEFAULT",Attach 1,SiteProfile // Read the SiteProfile record with the ID from the Crib record

"OrderHeader",XmlPush
"OrderNumber",XmlPush
VendorPO,XmlWrite,"BuyerOrderNumber"
"ListOfMessageID",XmlPush
"MessageID",XmlPush
PONumber,XmlWrite,"IDNumber"
"OrderNumber",XmlPop
PODate,XmlWrite "yyyyMMdd","OrderIssueDate"
"OrderReferences",XmlPush
"ContractReferences",XmlPush
"ListOfContract",XmlPush
"Contract",XmlPush
"ContractID",XmlPush
"Identifier",XmlPush
"Agency",XmlPush
:SVar4,XmlWrite,"AgencyCoded" // Have to get the Site ID from somewhere
"Agency",XmlPop
BlanketPO,XmlWrite,"Ident"
"OrderReferences",XmlPop

"Purpose",XmlPush
:SVar7,XmlWrite,"PurposeCoded"
"Purpose",XmlPop

"RequestedResponse",XmlPush
Crib,XmlWrite,"RequestedResponseCoded"
"RequestedResponse",XmlPop

"OrderDates",XmlPush
RequiredDate,XmlWrite,"RequestedDeliveryByDate"
"OrderDates",XmlPop

"OrderParty",XmlPush
"BuyerParty",XmlPush
"Party",XmlPush
"ListOfIdentifier",XmlPush
"Identifier",XmlPush

// COMPANYID
"Agency",XmlPush
"CompanyID",XmlWrite,"AgencyCoded"
"Agency",XmlPop
:SVar5,XmlWrite,"Ident"
//"ListOfIdentifier",XmlPop
"Identifier",XmlPop

// ConfigurationID
"Identifier",XmlPush
"Agency",XmlPush
"ConfigurationID",XmlWrite,"AgencyCoded"
"Agency",XmlPop
:SVar3,XmlWrite,"Ident" // Supposed to be strConfigurationID - Given by TPCx
"Identifier",XmlPop

// LocationID
"Identifier",XmlPush
"Agency",XmlPush
"LocationID",XmlWrite,"AgencyCoded"
"Agency",XmlPop
SiteID,XmlWrite,"Ident"
"Identifier",XmlPop

,SectionStart // UDF Consigned Contract
Consignment,SectionZero // Trying to say Skip if Consignment is false
A1.UDFCONSIGNEDCONTRACT,SectionOmit // Also skip if no contract number
"Identifier",XmlPush
"Agency",XmlPush
"Contract",XmlWrite,"AgencyCoded"
"Agnecy",XmlPop
A1.UDFCONSIGNEDCONTRACT,XmlWrite,"Ident"
"Identifier",XmlPop
,SectionEnd

,SectionStart // UDF Non-Consigned Contract
Consignment,SectZeroRev // Trying to say Skip if Consignment is true
A1.UDFNONCONSIGNEDCONTRACT,SectionOmit // Also skip if no contract number
"Identifier",XmlPush
"Agency",XmlPush
"Contract",XmlWrite,"AgencyCoded"
"Agnecy",XmlPop
A1.UDFNONCONSIGNEDCONTRACT,XmlWrite,"Ident"
"Identifier",XmlPop
,SectionEnd

"ListOfIdentifier",XmlPop

Address3,SVar0= // For ParseAddress Call next
Address4,ParseAddress
"NameAddress",XmlPush
Address1,XmlWrite,"Name1"
Address2,XmlWrite,"Street"
:Add2,XmlWrite,"StreetSupplement1"
:Zip,XmlWrite,"PostalCode"
:City,XmlWrite,"City"
"Region",XmlPush
:State,XmlWrite,"RegionCoded"
"Region",XmlPop
"Country",XmlPush
:Country,XmlWrite,"CountryCoded"
"BuyerParty",XmlPop

// Ship to Block
ShipTo3,SVar0=
ShipTo4,ParseAddress
"ShipToParty",XmlPush
"Party",XmlPush
"PartyID",XmlPush
"Identifier",XmlPush
"Agency",XmlPush
"ShipToID",XmlWrite,"AgencyCoded"
"Agency",XmlPop
A1.SiteCompanyName,XmlWrite,"Ident"
"PartyID",XmlPop
"NameAddress",XmlPush
ShipTo1,XmlWrite,"Name1"
ShipTo2,XmlWrite,"Street"
:Add2,XmlWrite,"StreetSupplement1"
:Zip,XmlWrite,"PostalCode"
:City,XmlWrite,"City"
"Region",XmlPush
:State,XmlWrite,"RegionCoded"
"Region",XmlPop
"Country",XmlPush
:Country,XmlWrite,"CountryCoded"
"ShipToParty",XmlPop

"SellerParty",XmlPush
"Party",XmlPush
"ListOfIdentifier",XmlPush
"Identifier",XmlPush
"Agency",XmlPush
:SVar3,XmlWrite,"AgencyCoded"
"Agency",XmlPop
TpName,XmlWrite,"Ident"
"OrderParty",XmlPop

"ListOfTransport",XmlPush
"Transport",XmlPush
,XmlWrite,"TransportID"
"CarrierID",XmlPush
,XmlWrite,"Identifier"
"ListOfTransport",XmlPop

"OrderTermsOfDelivery",XmlPush
"TermsOfDelivery",XmlPush
Shipping,XmlWrite,"TermsOfDeliveryDescription"
"OrderTermsOfDelivery",XmlPop

"OrderAllowancesOrCharges",XmlPush 
"ListOfAllowOrCharges",XmlPush 
"AllowOrCharges",XmlPush
Terms,XmlWrite,"AllowanceOrChargeDescription"
"OrderAllowancesOrCharges",XmlPop

"OrderHeader",XmlPop

PONumber,While
Cost,Var0=
Quantity,Var0*
100,Var0*
:Var0,Var8+
1,Var9+ // Count the lines

"OrderDetail",XmlPush
"ListOfItemDetail",XmlPush
"ItemDetail",XmlPush
"BaseItemDetail",XmlPush
"LineItemNum",XmlPush
ID,XmlWrite,"BuyerLineItemNum"

,SectionStart // Skip if there is no CribBin
CribBin,SectionOmit
CribBin,XmlWrite,"CribBin"
,SectionEnd

"LineItemNum",XmlPop
"ItemIdentifiers",XmlPush
"PartNumbers",XmlPush
"SellerPartNumber",XmlPush
"PartNum",XmlPush
VendorItemNumber,XmlWrite,"PartID"
"SellerPartNumber",XmlPop
"BuyerPartNumber",XmlPush
"PartNum",XmlPush
Item,XmlWrite,"PartID"
"PartNumbers",XmlPop

ItemDescription,SVar0=
,SVar0S
Description2,SVar0+
:SVar0,XmlWrite,"ItemDescription"
"ItemIdentifiers",XmlPop
"TotalQuantity",XmlPush
"Quantity",XmlPush
Quantity,XmlWrite,"QuantityValue"
UnitOfMeasure EA,XmlWrite,"UOMCoded"
"BaseItemDetail",XmlPop

"PricingDetail",XmlPush
"ListOfPrice",XmlPush
"Price",XmlPush
"UnitPrice",XmlPush
Cost,XmlWrite "N4","UnitPriceValue"
"Currency",XmlPush
"USD",XmlWrite,"CurrencyCoded"
"OrderDetail",XmlPop

,End // Ends PODetail While Loop

,After
"OrderSummary", XmlPush
:Var9, XmlWrite, NumberOfLines
"TotalAmount" , XmlPush
"MonetaryValue", XmlPush
100,Var8/
:Var8, XmlWrite, MonetaryAmount
"OrderSummary",XmlPop
"Order",XmlPop
,End // Ends After Block