CREATE VIEW VRFIDSTATUS AS
   SELECT RFID,
          EmployeeID,
          ITEMSERIAL.ItemNumber,
          RFID.SerialID,
          STATION.CRIB,
          RFID.CribBin AS CRIBBIN,
          LastEmployee,
          LastCrib,
          RFID.Status AS STATUS,
          ITEMSERIAL.CribBin AS SerialIDCribBin,
          HomeCrib,
          LastTransaction,
          ReadCount,
		  ItemSerial.Status AS SERIALSTATUS
     FROM (RFID INNER JOIN ITEMSERIAL ON RFID.SERIALID = ITEMSERIAL.SERIALID)
	LEFT JOIN STATION ON ITEMSERIAL.CRIBBIN = STATION.CRIBBIN
    WHERE RFID.CRIBBIN IS NULL
	UNION
   SELECT RFID,
          EmployeeID,
          ItemNumber,
          SerialID,
          NULL As Crib,
	  NULL AS CribBin,
          LastEmployee,
          LastCrib,
          Status,
          NULL AS SerialIDCribBin,
          NULL AS HomeCrib,
	  LastTransaction,
	  ReadCount,
	  NULL AS SERIALSTATUS
     FROM RFID
    WHERE CRIBBIN IS NULL AND SERIALID IS NULL
   UNION
   SELECT RFID,
          EmployeeID,
          Item AS ItemNumber,
          RFID.SerialID,
          STATION.CRIB,
          RFID.CribBin AS CRIBBIN,
          LastEmployee,
          LastCrib,
          RFID.Status AS STATUS,
          ITEMSERIAL.CribBin AS SerialIDCribBin,
          HomeCrib,
          LastTransaction,
          ReadCount,
		  ItemSerial.Status AS SERIALSTATUS
     FROM (RFID INNER JOIN STATION ON RFID.CRIBBIN = STATION.CRIBBIN)
		LEFT JOIN ITEMSERIAL ON RFID.SERIALID = ITEMSERIAL.SERIALID
    WHERE RFID.CRIBBIN IS NOT NULL
