CREATE TABLE ItemRelationship(
	ItemRelationshipId AUTOINCREMENT CONSTRAINT PK_ItemRelationship PRIMARY KEY,
	ItemNumber varchar (%ITEMNUMBERSIZE%) NOT NULL ,
	RelatedItemNumber varchar (%ITEMNUMBERSIZE%) NULL ,
	RelatedQuantity int NULL,
	Precedence int NULL,
	RelationshipTypeId int NULL,
	RelationshipCode varchar(30) NULL,
	Comments varchar(255) NULL 
) 
GO


CREATE TABLE RelationshipType(
	RelationshipTypeId AUTOINCREMENT CONSTRAINT PK_RelationshipTypeId PRIMARY KEY,
	RelationshipTypeName varchar (50) NOT NULL ,
	Predefined bit NULL,
	UsageType int NULL
) 
GO

CREATE UNIQUE INDEX IX_RELATIONSHIPTYPE_RELATIONSHIPTYPENAME ON RelationShipType(RelationshipTypeName)
GO

INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(1, 'Substitute',1,2) 
GO

INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(2, 'Made From',1,1) 
GO

INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(3, 'Used On',1,2)
GO
	
INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(4, 'Cross Reference',1,1)
GO
