CREATE TABLE ViewPaneClass (
	ViewPaneClassId INTEGER CONSTRAINT VIEWPANECLASS_PK PRIMARY KEY,
	ViewName varchar(30) NOT NULL
)
GO

CREATE UNIQUE INDEX IX_VIEWPANECLASS_VIEWNAME ON VIEWPANECLASS(VIEWNAME)
GO

CREATE TABLE ToolbarFilterButton (
	ToolbarFilterButtonId AUTOINCREMENT CONSTRAINT TOOLBARFILTERBUTTON_PK PRIMARY KEY,
	ToolbarName varchar(25) NOT NULL,
	ViewPaneClassId int NOT NULL
)
GO

CREATE UNIQUE INDEX IX_TOOLBARFILTERBUTTON ON TOOLBARFILTERBUTTON(ToolbarName, ViewPaneClassId)
GO

CREATE TABLE NamedSearch (
	NamedSearchNo AUTOINCREMENT CONSTRAINT NAMEDSEARCH_PK PRIMARY KEY,
	SearchName varchar(25) NULL,
	SearchText varchar(50) NULL,
	ViewPaneClassId int NOT NULL,
	EmployeeID varchar (12) NULL,
	IsPublicSearch bit NULL
)
GO

CREATE UNIQUE INDEX IX_NAMEDSEARCH_SEARCHNAMES ON NAMEDSEARCH (SearchName, ViewPaneClassId)
GO

CREATE TABLE NamedSearchField (
	NamedSearchFieldNo AUTOINCREMENT CONSTRAINT NAMEDSEARCHFIELD_PK PRIMARY KEY,
	FieldName varchar (50) NOT NULL,
	IncludeInSearch bit NULL,
	SearchCriteria varchar (50) NULL,
	NamedSearchNo int NOT NULL
)
GO

CREATE UNIQUE INDEX IX_NAMEDSEARCHFIELD ON NAMEDSEARCHFIELD (FieldName, NamedSearchNo)
GO

CREATE TABLE NamedSearchTBFilter (
	NamedSearchTBFilterNo AUTOINCREMENT CONSTRAINT NAMEDSEARCHTBFILTER_PK PRIMARY KEY,
	Status bit NOT NULL,
	NamedSearchNo int NOT NULL,
	ToolbarFilterButtonId int NOT NULL
)
GO

CREATE UNIQUE INDEX IX_NAMEDSEARCHTBFILTER ON NAMEDSEARCHTBFILTER (NamedSearchNo, ToolbarFilterButtonId)
GO

