CREATE TABLE POStatus (
	POStatusNo BYTE CONSTRAINT POSTATUS_PK Primary Key,
	POStatusDescription varchar (20) NULL 
)
GO

ALTER TABLE PO ADD POStatusNo BYTE NULL
GO

ALTER TABLE PO ADD POStatusDate DATETIME NULL
GO

ALTER TABLE PO ADD PORequestorID VARCHAR(12) NULL
GO

ALTER TABLE PO ADD POApproverID VARCHAR(12) NULL
GO

INSERT INTO POStatus (POStatusNo, POStatusDescription) VALUES (0,'Ordered')       
GO

INSERT INTO POStatus (POStatusNo, POStatusDescription) VALUES (1,'Closed')   
GO

INSERT INTO POStatus (POStatusNo, POStatusDescription) VALUES (2,'Partial')  
GO

INSERT INTO POStatus (POStatusNo, POStatusDescription) VALUES (3,'Requested')   
GO

INSERT INTO POStatus (POStatusNo, POStatusDescription) VALUES (4,'Waiting For Quote')   
GO

INSERT INTO POStatus (POStatusNo, POStatusDescription) VALUES (5,'Approved')   
GO

INSERT INTO POStatus (POStatusNo, POStatusDescription) VALUES (6,'Rejected')   
GO

UPDATE PO SET POSTATUSNO=1 WHERE TYPE=2 OR NOT EXISTS 
	(SELECT * FROM PODETAIL WHERE PODETAIL.PONUMBER = PO.PONUMBER AND RECEIVED IS NULL)
GO

UPDATE PO SET POSTATUSNO=2 WHERE POSTATUSNO IS NULL AND (TYPE=0 OR TYPE=1) AND EXISTS 
	(SELECT * FROM PODETAIL WHERE PODETAIL.PONUMBER = PO.PONUMBER AND RECEIVED IS NOT NULL)
GO

UPDATE PO SET POSTATUSNO=0 WHERE POSTATUSNO IS NULL
GO


