CREATE TABLE ReportSection (
	ReportSectionId int CONSTRAINT REPORTSECTION_PK PRIMARY KEY,
	ReportSectionName varchar(25) NOT NULL
)
GO

CREATE TABLE Reports (
	ReportId AUTOINCREMENT CONSTRAINT REPORTS_PK PRIMARY KEY,
	ReportSectionId int NOT NULL,
	ReportName  varchar(128) NOT NULL,
	ReportFilename varchar(255) NOT NULL
)
GO

CREATE TABLE ReportSecurity (
	ReportSecurityId AUTOINCREMENT CONSTRAINT REPORTSECURITY_PK PRIMARY KEY,
	ReportId int NOT NULL,
	FunctionId int NOT NULL 
) 
GO

CREATE UNIQUE INDEX IX_REPSECURITY_REPORTFUNCTION ON REPORTSECURITY (ReportId, FunctionId)
GO

INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(1, 'Bin')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(2, 'Inventory')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(3, 'Serial')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(4, 'User1')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(5, 'User2')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(6, 'User3')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(7, 'User4')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(8, 'User5')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(9, 'User6')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(10, 'Kit')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(11, 'Supplier')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(12, 'Transaction')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(13, 'Receipt')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(14, 'Red Flag')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(15, 'Cycle Count')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(16, 'Expiration')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(17, 'Reservation')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(18, 'Bin Label')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(19, 'Employee Card')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(20, 'Serial Label')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(21, 'Rework')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(22, 'Checkout')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(23, 'Analyzer')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(24, 'Additional Reports')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(25, 'Asset')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(26, 'Labor')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(27, 'Lot')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(28, 'Purchase Order')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(29, 'PO Detail')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(30, 'PO Label')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(31, 'Tasks')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(32, 'Transfer')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(33, 'Work Order')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(34, 'WO Def')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(35, 'WO Schedule')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(36, 'WO Transaction')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(37, 'Employee')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(38, 'Common Number')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(67, 'Pending Order')
GO
