-- Removes all Procedures, tables and types that are created / used for CribGroups.

if exists (select * from sys.objects where object_id = OBJECT_ID('sp_AddToCribGroup') and type in ('P', 'PC'))
begin
	drop procedure sp_AddToCribGroup;
end

if exists (select * from sys.objects where object_id = OBJECT_ID('sp_RemoveFromCribGroup') and type in ('P', 'PC'))
begin
	drop procedure sp_RemoveFromCribGroup;
end

if exists (select * from sys.objects where object_id = OBJECT_ID('CribGroup') and type in ('U'))
begin
	drop table CribGroup;
end

if exists (select * from sys.objects where object_id = OBJECT_ID('CribGroupCribJunction') and type in ('U'))
begin
	drop table CribGroupCribJunction;
end

if exists (select * from sys.objects where object_id = OBJECT_ID('CribGroupEmployeeJunction') and type in ('U'))
begin
	drop table CribGroupEmployeeJunction;
end

if exists (select * from sys.types where name = 'StringListType')
begin
	drop type StringListType;
end

if exists (select * from sys.types where name = 'IntListType')
begin
	drop type IntListType;
end

if exists (select * from sys.types where name = 'StringIntListType')
begin
	drop type StringIntListType;
end