-- Declare Temporary table
DECLARE @ListofCommands TABLE(SQLScript VARCHAR(1000), ID INT IDENTITY(1,1));
-- Decleare 
DECLARE  @endIndex INT 
        ,@startIndex INT
        ,@isTest TINYINT = 0
        ,@SQLStatement NVARCHAR(MAX)
-- Declare Field Length variables 
DECLARE @USER1Len int, @USER2Len int, @USER3Len int, @USER4Len int, @USER5Len int, @USER6Len int,
@SiteIDLen int, @ParentSiteIDLen int, @ItemLen int, @ItemDescLen int, @ItemClassLen int, @ItemTypeDescLen int, 
@CribNameLen int, @CribTypeDescLen int, @EmplIDLen int, @EmplNameLen int, @ItemClassDescLen int, 
@TransTypeDescLen int, @POItemIDLen int, @SiteDescLen int;

-- Set Field length variables
SELECT @USER1Len = COL_LENGTH('User1','ID')
SELECT @USER2Len = COL_LENGTH('User2','ID')
SELECT @USER3Len = COL_LENGTH('User3','ID')
SELECT @USER4Len = COL_LENGTH('User4','ID')
SELECT @USER5Len = COL_LENGTH('User5','ID')
SELECT @USER6Len = COL_LENGTH('User6','ID')
SELECT @SiteIDLen = COL_LENGTH('SiteProfile','SiteID');
SELECT @ParentSiteIDLen = COL_LENGTH('SiteProfile','ParentSiteID')
SELECT @SiteDescLen = COL_LENGTH('SiteProfile','SiteDescription')
SELECT @ItemLen = COL_LENGTH('INVENTRY','ItemNumber')
SELECT @ItemDescLen = COL_LENGTH('INVENTRY','Description1')
SELECT @ItemClassLen = COL_LENGTH('INVENTRY','ItemClass')
SELECT @ItemClassDescLen = COL_LENGTH('ITEMCLASS','ItemClassDescription')
SELECT @ItemTypeDescLen = COL_LENGTH('ItemType','ItemTypeDesc')
SELECT @CribNameLen = COL_LENGTH('Crib','Name')
SELECT @CribTypeDescLen = COL_LENGTH('CribType','Description')
SELECT @TransTypeDescLen = COL_LENGTH('TRANS','TypeDescription')
SELECT @EmplIDLen = COL_LENGTH('EMPLOYEE','ID')
SELECT @EmplNameLen = COL_LENGTH('EMPLOYEE','Name')

-- Insert summary tables if they don't exist just yet
-- If XInventoryHealth table doesn't exist, create one
IF OBJECT_ID('XInventoryHealth') IS NULL
CREATE TABLE XInventoryHealth(
	SiteID varchar(12) NOT NULL,
	[Site Description] varchar(50),
	ParentSiteID varchar(12),
	Crib smallint,
	[Crib Name] varchar(50),
	[Crib Type] varchar(50),
	Item varchar(25),
	[Item Description] varchar(50),
	ItemClass varchar(15),
	ItemType varchar(32),
	Overstock int,
	[Dead Stock] int,
	[Below Min] int,
	[Below Critical] int,
	[Out Of Stock] int,
	Lost int,
	Unusable int,
	[In Repair] int,
	[Scheduled CC] int,
	[Due Cycle Count] int,
	[Pending Rework] int,
	[Total Inventory] decimal(19,4),
	[Inventory Qty] int,
	[Checked Out Cost] decimal(19,4),
	[Checked Out Qty] int,
	[Due Calibration] int
) -- drop table XInventoryHealth

-- If XPODetails table doesn't exist, create one
IF OBJECT_ID('XPODetails') IS NULL
CREATE TABLE XPODetails(
	POItemID int not null,
	PONumber int not null,
	SiteID varchar(12) not null,
	Crib smallint,
	Item  varchar(25),
	DateOrdered datetime,
	Received datetime,
	Quantity int,
	Cost decimal(19,4),
	Type varchar(12),
	LT smallint,
	POStatusDescription varchar(24),
	LTStatus varchar(24),
	PODetailStatus varchar(24)
)--DROP TABLE XPODetails;

-- If XPODetailsSum table doesn't exist, create one
IF OBJECT_ID('XPODetailsSum') IS NULL
CREATE TABLE XPODetailsSum(
	SiteID varchar(12) not null,
	Crib smallint,
	Item  varchar(25),
	ParentSiteID varchar(12),
	ItemClass varchar(15),
	ItemClassDesc varchar(50),
	ItemType int, 
	ItemTypeDesc varchar(32),
	[Lines Count] int,
	[Qty Sum] int,
	[Cost Sum] decimal(19,4),
	[Pending Authorization] int,
	[Open Total] int,
	[Open And Late] int,
	[Open And At LT] int,
	[Open And Early] int,
	[Late Total] int,
	[Received Late] int,
	[Received At LT] int,
	[Received Early] int
)--DROP TABLE XPODetailsSum;
 
-- Validate that length are set 
--SELECT @USER1Len UNION ALL SELECT @USER2Len UNION ALL SELECT @USER3Len UNION ALL SELECT @USER4Len UNION ALL SELECT @USER5Len UNION ALL 
--SELECT @USER6Len UNION ALL SELECT @SiteIDLen UNION ALL SELECT @ParentSiteIDLen UNION ALL SELECT @SiteDescLen UNION ALL SELECT @ItemLen UNION ALL
--SELECT @ItemDescLen UNION ALL SELECT @ItemClassLen UNION ALL SELECT @ItemClassDescLen UNION ALL SELECT @ItemTypeDescLen UNION ALL SELECT @CribNameLen UNION ALL 
--SELECT @CribTypeDescLen UNION ALL SELECT @TransTypeDescLen UNION ALL SELECT @EmplIDLen UNION ALL SELECT @EmplNameLen

-- Insert commands into temp table if length is needed to be changed 
INSERT INTO @ListofCommands

SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR('+ Cast(@USER1Len AS VARCHAR(11)) +')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS WHERE table_name LIKE 'X%' AND column_name LIKE '%USER1' ) as fields
WHERE fields.character_maximum_length < 40--@USER1Len
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@USER2Len AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS WHERE table_name LIKE 'X%' AND column_name LIKE '%USER2' ) as fields
WHERE fields.character_maximum_length < @USER2Len
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@USER3Len AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND column_name LIKE '%USER3' ) as fields
WHERE fields.character_maximum_length < @USER3Len
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@USER4Len AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND column_name LIKE '%USER4' ) as fields
WHERE fields.character_maximum_length < @USER4Len
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@USER5Len AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND column_name LIKE '%USER5' ) as fields
WHERE fields.character_maximum_length < @USER5Len
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@USER6Len AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND column_name LIKE '%USER6' ) as fields
WHERE fields.character_maximum_length < @USER6Len
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@SiteIDLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND column_name = 'SiteId' ) as fields
WHERE fields.character_maximum_length < @SiteIDLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@ParentSiteIDLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND column_name = 'ParentSiteId' ) as fields
WHERE fields.character_maximum_length < @ParentSiteIDLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN [' + COLUMN_NAME + '] VARCHAR(' + Cast(@SiteDescLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND (column_name = 'Site Description') ) as fields
WHERE fields.character_maximum_length < @SiteDescLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@ItemLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND column_name = 'Item' ) as fields
WHERE fields.character_maximum_length < @ItemLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN [' + COLUMN_NAME + '] VARCHAR(' + Cast(@ItemDescLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND (column_name = 'Description1' OR column_name = 'Item Description') ) as fields
WHERE fields.character_maximum_length < @ItemDescLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@ItemClassLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND (column_name = 'ItemClass') ) as fields
WHERE fields.character_maximum_length < @ItemClassLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@ItemClassDescLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND (column_name = 'ItemClassDesc') ) as fields
WHERE fields.character_maximum_length < @ItemClassDescLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@ItemTypeDescLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND (column_name = 'ItemTypeDesc') ) as fields
WHERE fields.character_maximum_length < @ItemTypeDescLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN [' + COLUMN_NAME + '] VARCHAR(' + Cast(@CribNameLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND (column_name = 'Crib Name') ) as fields
WHERE fields.character_maximum_length < @CribNameLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN [' + COLUMN_NAME + '] VARCHAR(' + Cast(@CribTypeDescLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND (column_name = 'Crib Type') ) as fields
WHERE fields.character_maximum_length < @CribTypeDescLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@TransTypeDescLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND (column_name = 'TypeDescription') ) as fields
WHERE fields.character_maximum_length < @TransTypeDescLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@EmplIDLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND (column_name = 'EmployeeID') ) as fields
WHERE fields.character_maximum_length < @EmplIDLen
UNION ALL
SELECT 'ALTER TABLE ' + table_name + ' ALTER COLUMN ' + COLUMN_NAME + ' VARCHAR(' + Cast(@EmplNameLen AS VARCHAR(11)) + ')'
FROM (	SELECT	table_name, COLUMN_NAME, character_maximum_length
		FROM information_schema.COLUMNS	WHERE table_name LIKE 'X%' AND (column_name = 'EmployeeName') ) as fields
WHERE fields.character_maximum_length < @EmplNameLen

-- Validate inserted commands
--SELECT SQLScript FROM @ListofCommands;
SELECT @endIndex = MAX(ID), @startIndex = MIN(ID)  FROM @ListofCommands

-- drop indexes for summary tables if temp table is not empty
IF @endIndex IS NOT NULL  BEGIN
	IF @isTest = 1 BEGIN SELECT 'Dropping indexes' END
	ELSE 
    BEGIN
		-- drop indexes for summary tables
		IF EXISTS(SELECT * FROM sys.indexes WHERE name='IX_XTRANS_ST_CLS' AND object_id = OBJECT_ID('XTransDay'))
			DROP INDEX IX_XTRANS_ST_CLS ON XTransDay
		IF EXISTS(SELECT * FROM sys.indexes WHERE name='IX_XEMPL_EMPL_CLS' AND object_id = OBJECT_ID('XEmployeeDay'))
			DROP INDEX IX_XEMPL_EMPL_CLS ON XEmployeeDay
		IF EXISTS(SELECT * FROM sys.indexes WHERE name='IX_XINVHLTH_ST_CR' AND object_id = OBJECT_ID('XInventoryHealth'))
			DROP INDEX IX_XINVHLTH_ST_CR ON XInventoryHealth
		IF EXISTS(SELECT * FROM sys.indexes WHERE name='IX_XPODT_ST_CR' AND object_id = OBJECT_ID('XPODetails'))
			DROP INDEX IX_XPODT_ST_CR ON XPODetails
		IF EXISTS(SELECT * FROM sys.indexes WHERE name='IX_XPODTSUM_ST_CR' AND object_id = OBJECT_ID('XPODetailsSum'))
			DROP INDEX IX_XPODTSUM_ST_CR ON XPODetailsSum
	END
END

-- execute sql commands in a loop
IF @isTest = 1 BEGIN SELECT *, @endIndex AS MaxVal, @startIndex AS MinVal FROM @ListofCommands END
-- Start the Loop
WHILE @endIndex >= @startIndex
BEGIN
    SELECT @SQLStatement = SQLScript FROM @ListofCommands WHERE ID = @startIndex        -- Get the SQL from the table 

    IF @isTest = 1 BEGIN SELECT 'I am executing: ' + @SQLStatement AS theSqlBeingRun, GETDATE(), @startIndex, @endIndex END  
    ELSE 
    BEGIN 
        EXECUTE sp_ExecuteSQL @SQLStatement                 -- Execute the SQL 
    END
        DELETE FROM @ListofCommands WHERE ID = @startIndex        -- Delete the statement just run from the table
        SELECT @startIndex = MIN(ID)  FROM @ListofCommands        -- Update to the next ID
    IF @isTest = 1 BEGIN  SELECT * FROM @ListofCommands END
END

-- set indexes back if they were dropped
IF @endIndex > 0 BEGIN
	IF @isTest = 1 BEGIN SELECT 'Creating indexes' END
	ELSE 
    BEGIN
		-- create indexes for summary tables
		CREATE CLUSTERED INDEX IX_XTRANS_ST_CLS ON XTransDay (SiteID, ItemClass)
		CREATE CLUSTERED INDEX IX_XEMPL_EMPL_CLS ON XEmployeeDay (EmployeeID, ItemClass)
		CREATE CLUSTERED INDEX IX_XINVHLTH_ST_CR ON XInventoryHealth (SiteID, Crib)
		CREATE CLUSTERED INDEX IX_XPODT_ST_CR ON XPODetails (SiteID, Crib)
		CREATE CLUSTERED INDEX IX_XPODTSUM_ST_CR ON XPODetailsSum (SiteID, Crib)
	END
END;