if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TRG_AUDIT_EMPLOYEECRIB]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
drop trigger [dbo].[TRG_AUDIT_EMPLOYEECRIB]
GO

Create Trigger TRG_AUDIT_EMPLOYEECRIB
On EMPLOYEECRIB
For Insert, Update, Delete NOT FOR REPLICATION
As
	DECLARE @DeleteCount int
	DECLARE @InsertCount int
	DECLARE @CurrentUserID VARCHAR(12)
	SELECT @CurrentUserID = SessionDataValue FROM #SessionData WHERE SessionDataKey = 'CURRENT_USER'
	SELECT  @DeleteCount = COUNT(*) FROM DELETED
	SELECT  @InsertCount = COUNT(*) FROM INSERTED
	
	-- Avoid spurious logging when Employee is renamed
	if @InsertCount = 0 OR @DeleteCount = 0 OR UPDATE(CRIB)
	   BEGIN
		--- Log Crib Removals

	   INSERT INTO SecAuditHistory(Crib, EmployeeId, SecAuditType, SecAuditUID, SecAuditDate)
		  SELECT CRIB, EMPLOYEEID, 10, @CurrentUserID, CAST(CONVERT(VARCHAR, GETDATE(), 20) AS datetime)
		  FROM DELETED

		--- Log Crib Adds
	   INSERT INTO SecAuditHistory(Crib, EmployeeId, SecAuditType, SecAuditUID, SecAuditDate)
		  SELECT Crib, EMPLOYEEID, 9,  @CurrentUserID, CAST(CONVERT(VARCHAR, GETDATE(), 20) AS datetime)
		  FROM INSERTED
	   END
GO
