if exists (select * from sysobjects where id = object_id(N'[dbo].[TRG_AUDIT_EMPLOYEESECURITY]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
drop trigger [dbo].[TRG_AUDIT_EMPLOYEESECURITY]
GO

Create Trigger TRG_AUDIT_EMPLOYEESECURITY
On EMPLOYEESECURITY
For Insert, Update, Delete NOT FOR REPLICATION
As
	DECLARE @DeleteCount int
	DECLARE @InsertCount int
	DECLARE @CurrentUserID VARCHAR(12)
	SELECT @CurrentUserID = SessionDataValue FROM #SessionData WHERE SessionDataKey = 'CURRENT_USER'
	SELECT  @DeleteCount = COUNT(*) FROM DELETED
	SELECT  @InsertCount = COUNT(*) FROM INSERTED

	-- Avoid spurious logging when Employee is renamed
	if @InsertCount = 0 OR @DeleteCount = 0 OR UPDATE(SecurityGrpId) OR UPDATE(SCOPETYPE)
	   BEGIN														   

		--- Log Group Removals
	   INSERT INTO SecAuditHistory(SecurityGrpId, EmployeeId, SecAuditType, SecScopeType, SecAuditUID, SecAuditDate)
		  SELECT SECURITYGRPID, EMPLOYEEID, 4, SCOPETYPE, @CurrentUserID, CAST(CONVERT(VARCHAR, GETDATE(), 20) AS datetime)
		  FROM DELETED
		--- Log Group Adds
	   INSERT INTO SecAuditHistory(SecurityGrpId, EmployeeId, SecAuditType, SecScopeType, SecAuditUID, SecAuditDate)
		  SELECT SECURITYGRPID, EMPLOYEEID, 3, SCOPETYPE, @CurrentUserID, CAST(CONVERT(VARCHAR, GETDATE(), 20) AS datetime)
		  FROM INSERTED
	 
	   END
GO
