if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TRG_AUDIT_SECURITYGRPACCESS]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
drop trigger [dbo].[TRG_AUDIT_SECURITYGRPACCESS]
GO

Create Trigger TRG_AUDIT_SECURITYGRPACCESS
On SECURITYGRPACCESS
For Insert, Update, Delete NOT FOR REPLICATION
As
	DECLARE @DeleteCount int
	DECLARE @InsertCount int
	DECLARE @CurrentUserID VARCHAR(12)
	SELECT @CurrentUserID = SessionDataValue FROM #SessionData WHERE SessionDataKey = 'CURRENT_USER'
	SELECT  @DeleteCount = COUNT(*) FROM DELETED
	SELECT  @InsertCount = COUNT(*) FROM INSERTED
	
	--- Log Permission Removals
   INSERT INTO SecAuditHistory(FunctionId, SecurityGrpId, SecAuditType, SecAuditUID, SecAuditDate)
	  SELECT FunctionId, SecurityGrpId, 2, @CurrentUserID, CAST(CONVERT(VARCHAR, GETDATE(), 20) AS datetime)
	  FROM DELETED
	--- Log Permission Additions
   INSERT INTO SecAuditHistory(FunctionId, SecurityGrpId, SecAuditType, SecAuditUID, SecAuditDate)
	  SELECT FunctionId, SecurityGrpId, 1, @CurrentUserID, CAST(CONVERT(VARCHAR, GETDATE(), 20) AS datetime)
	  FROM INSERTED
GO
