CREATE VIEW VALLWODEFSCHEDULEWOITEMS(TASKITEMNO,
                                     TASKNO,
                                     TASKITEMNUMBER,
                                     TASKITEMQUANTITY,
                                     ACTIONCODE,
                                     ISSUEOPTION,
                                     OVRORDEROPTION,
                                     NEXTWODATE,
                                     WODEFSCHEDULENO,
                                     WODEFNO,
                                     PARTSCRIB,
                                     WONO,
                                     INTERVAL,
                                     INTERVALTYPE) AS
   SELECT TASKITEMNO,
          TASKNO,
          TASKITEMNUMBER,
          TASKITEMQUANTITY,
          TASKITEM.ACTIONCODE,
          ISSUEOPTION,
          OVRORDEROPTION,
          NEXTWODATE,
          WODEFSCHEDULENO,
          WODEFSCHEDULE.WODEFNO,
          ISNULL(PARTSCRIB, (SELECT MAX(INT)
                               FROM GLOBALSETTINGS
                              WHERE KEYNAME = 'Purchasing_MaintenanceCrib')),
          WODEFSCHEDULE.WODEFNO,
          INTERVAL,
          INTERVALTYPE
     FROM TASKITEM INNER JOIN WODEFSCHEDULE ON TASKITEM.WODEFNO = WODEFSCHEDULE.WODEFNO
LEFT JOIN ACTIONCODE ON TASKITEM.ACTIONCODE = ACTIONCODE.ACTIONCODE
    WHERE TASKITEM.WODEFNO = WODEFSCHEDULE.WODEFNO 
	 AND   ISNULL(WODEFSCHEDULEINACTIVE, 0) = 0
   UNION ALL
   -- Task items attached to a scheduled WODEF via a TASK
   SELECT TASKITEMNO,
          TASKITEM.TASKNO,
          TASKITEMNUMBER,
          TASKITEMQUANTITY,
          TASKITEM.ACTIONCODE,
          ISSUEOPTION,
          OVRORDEROPTION,
          NEXTWODATE,
          WODEFSCHEDULENO,
          WODEFSCHEDULE.WODEFNO,
          ISNULL(PARTSCRIB, (SELECT MAX(INT)
                               FROM GLOBALSETTINGS
                              WHERE KEYNAME = 'Purchasing_MaintenanceCrib')),
          WODEFSCHEDULE.WODEFNO,
          INTERVAL,
          INTERVALTYPE
     FROM TASKITEM INNER JOIN WODEFTASK ON TASKITEM.TASKNO = WODEFTASK.TASKNO 
    INNER JOIN WODEFSCHEDULE ON WODEFTASK.WODEFNO = WODEFSCHEDULE.WODEFNO 
     LEFT JOIN ACTIONCODE ON TASKITEM.ACTIONCODE = ACTIONCODE.ACTIONCODE
    WHERE ISNULL(WODEFSCHEDULEINACTIVE, 0) = 0
   UNION ALL
   -- Open, Assigned, Parts Need Work Order parts that have not yet been completed
   -- or filled
   SELECT TASKITEMNO,
          TASKNO,
          ITEMNUMBER,
          TASKQUANTITY - ISNULL(WOTASKITEM.ACTUALQUANTITY, 0),
          ISNULL(ACTUALACTIONCODE, TASKACTIONCODE),
          ISSUEOPTION,
          OVRORDEROPTION,
          GETDATE(),
          NULL,
          WODEFNO,
          ISNULL(PARTSCRIB, (SELECT MAX(INT)
                               FROM GLOBALSETTINGS
                              WHERE KEYNAME = 'Purchasing_MaintenanceCrib')),
          WO.WONO,
          NULL,
          NULL
     FROM WOTASKITEM INNER JOIN WO ON WOTASKITEM.WONO = WO.WONO 
	  LEFT JOIN WOTASK ON WOTASKITEM.WOTASKNO = WOTASK.WOTASKNO 
	  LEFT JOIN ACTIONCODE ON ISNULL(ACTUALACTIONCODE,TASKACTIONCODE) = ACTIONCODE.ACTIONCODE
    WHERE WOSTATUSNO IN(0, 1, 4)
      AND TASKQUANTITY > ISNULL(WOTASKITEM.ACTUALQUANTITY, 0)
      AND ISNULL(WOTICOMPLETE, 0) = 0
      AND ISNULL(WOTASKCOMPLETE, 0) = 0