CREATE VIEW VEmployeePermissions AS
select -- begin security group assigned function group securities
       es.employeeid,fg.functionid,fg.functiongrpname,fg.functionname,scopetype
  from employeesecurity es
 inner join securitygrpaccess sga on es.securitygrpid=sga.securitygrpid
 inner join (
     select ifn.functionid, ifn.functionname,ifn.functiongrpname,
            fgn.functionid origfunctionid
       from functionnames fgn, functionnames ifn
      where fgn.functiongrpname=ifn.functiongrpname
        and fgn.functionname is null and ifn.functionname is not null
     ) FG on sga.functionid=fg.origfunctionid
union -- add in security group assigned function securities
select es.employeeid,f.functionid,f.functiongrpname,f.functionname,scopetype
  from employeesecurity es
 inner join securitygrpaccess sga on es.securitygrpid=sga.securitygrpid
 inner join (
     select functionid, functionname,functiongrpname
       from functionnames
      where functionname is not null and functiongrpname is not null
     ) F on sga.functionid=f.functionid
union -- add in employee override function group granted securities
select esg.employeeid,fg.functionid,fg.functiongrpname,fg.functionname,scopetype
  from employeesecurityext esg
 inner join (
     select ifn.functionid, ifn.functionname,ifn.functiongrpname,
            fgn.functionid origfunctionid
       from functionnames fgn, functionnames ifn
      where fgn.functiongrpname=ifn.functiongrpname
        and fgn.functionname is null and ifn.functionname is not null
     ) FG on esg.functionid=fg.origfunctionid
 where securitytype=2
except -- remove employee override function group deny securities
select esd.employeeid,fg.functionid,fg.functiongrpname,fg.functionname,scopetype
  from employeesecurityext esd
 inner join (
     select ifn.functionid, ifn.functionname,ifn.functiongrpname,
            fgn.functionid origfunctionid
       from functionnames fgn, functionnames ifn
      where fgn.functiongrpname=ifn.functiongrpname
        and fgn.functionname is null and ifn.functionname is not null
     ) FG on esd.functionid=fg.origfunctionid
 where securitytype=1
union -- add in employee override function granted securities
select esg.employeeid,f.functionid,f.functiongrpname,f.functionname,scopetype
  from employeesecurityext esg
 inner join (
     select functionid, functionname,functiongrpname
       from functionnames
      where functionname is not null and functiongrpname is not null
     ) F on esg.functionid=f.functionid
 where securitytype=2
except -- remove employee override function deny securities
select esd.employeeid,f.functionid,f.functiongrpname,f.functionname,scopetype
  from employeesecurityext esd
 inner join (
     select functionid, functionname,functiongrpname
       from functionnames
      where functionname is not null and functiongrpname is not null
     ) F on esd.functionid=f.functionid
 where securitytype=1


