CREATE VIEW VRFIDSTATUS(RFID,
				   EMPLOYEEID,
                                   ITEMNUMBER,
                                   SERIALID,
				   CRIB,
                                   CRIBBIN,
                                   LASTEMPLOYEE,
                                   LASTCRIB,
                                   STATUS,
                                   SERIALIDCRIBBIN,
                                   HOMECRIB,
                                   LASTTRANSACTION,
                                   READCOUNT) AS
   SELECT RFID,
          EmployeeID,
          ItemNumber,
          SerialID,
          NULL,
	  NULL,
          LastEmployee,
          LastCrib,
          Status,
          NULL AS SerialIDCribBin,
          NULL AS HomeCrib,
	  LastTransaction,
	  ReadCount
     FROM RFID
    WHERE CRIBBIN IS NULL AND SERIALID IS NULL
   UNION
   SELECT RFID,
          EmployeeID,
          Item AS ItemNumber,
          SerialID,
	  STATION.CRIB,
          RFID.CribBin,
          LastEmployee,
          LastCrib,
          Status,
          NULL,
          NULL,
	  LastTransaction,
	  ReadCount
     FROM RFID INNER JOIN STATION ON RFID.CRIBBIN = STATION.CRIBBIN
    WHERE RFID.CRIBBIN IS NOT NULL
   UNION
   SELECT RFID,
          EmployeeID,
          ITEMSERIAL.ItemNumber,
          RFID.SerialID,
	  STATION.CRIB,
          RFID.CribBin,
          LastEmployee,
          LastCrib,
          RFID.Status,
          ITEMSERIAL.CribBin,
          HomeCrib,
	  LastTransaction,
	  ReadCount
     FROM (RFID INNER JOIN ITEMSERIAL ON RFID.SERIALID = ITEMSERIAL.SERIALID)
	LEFT JOIN STATION ON ITEMSERIAL.CRIBBIN = STATION.CRIBBIN
    WHERE RFID.CRIBBIN IS NULL