CREATE VIEW VRFIDSTATUS(RFIDNO,
                        RFID,
                        PARENTRFIDNO,
                        EMPLOYEEID,
                        ITEMNUMBER,
                        SERIALID,
                        CRIB,
                        CRIBBIN,
                        LASTEMPLOYEE,
                        LASTCRIB,
                        STATUS,
                        SERIALIDCRIBBIN,
                        HOMECRIB,
                        LASTTRANSACTION,
                        READCOUNT,
                        SERIALSTATUS) AS
   SELECT RFIDNo,
   		  RFID,
          ParentRFIDNo,
          EmployeeID,
          ItemNumber,
          SerialID,
          OverrideCrib,
          NULL,
          LastEmployee,
          LastCrib,
          Status,
          NULL AS SerialIDCribBin,
          NULL AS HomeCrib,
          LastTransaction,
          ReadCount,
          NULL AS SERIALSTATUS
     FROM RFID
    WHERE CRIBBIN IS NULL AND SERIALID IS NULL
   UNION
   SELECT RFIDNo,
   		  RFID,
          ParentRFIDNo,
          EmployeeID,
          Item AS ItemNumber,
          RFID.SerialID,
          STATION.CRIB,
          RFID.CribBin AS CRIBBIN,
          LastEmployee,
          LastCrib,
          RFID.Status AS STATUS,
          ITEMSERIAL.CribBin AS SerialIDCribBin,
          HomeCrib,
          LastTransaction,
          ReadCount,
          ITEMSERIAL.Status AS SERIALSTATUS
     FROM (RFID INNER JOIN STATION ON RFID.CRIBBIN = STATION.CRIBBIN) 
	 	 LEFT JOIN ITEMSERIAL ON RFID.SERIALID = ITEMSERIAL.SERIALID
    WHERE RFID.CRIBBIN IS NOT NULL
   UNION
   SELECT RFIDNo,
   		  RFID,
          ParentRFIDNo,
          EmployeeID,
          ITEMSERIAL.ItemNumber,
          RFID.SerialID,
          STATION.CRIB,
          RFID.CribBin,
          LastEmployee,
          LastCrib,
          RFID.Status,
          ITEMSERIAL.CribBin,
          HomeCrib,
          LastTransaction,
          ReadCount,
          ITEMSERIAL.Status
     FROM (RFID INNER JOIN ITEMSERIAL ON RFID.SERIALID = ITEMSERIAL.SERIALID) 
	 	  LEFT JOIN STATION ON ITEMSERIAL.CRIBBIN = STATION.CRIBBIN
    WHERE RFID.CRIBBIN IS NULL AND RFID.SERIALID IS NOT NULL