CREATE VIEW VReservCribBinOrderQtyLT AS
   SELECT   reservationcribbin,
            SUM(CASE ISNULL(ovrorderoption, ISNULL(reservationorderoption, 0))
                   WHEN 0 THEN   ISNULL(ReservationQuantity, 0)
                               - ISNULL(ReservationActualQuantity, 0)
                   ELSE 0
                END) AS DefaultOrderQty,
            SUM(CASE ISNULL(ovrorderoption, ISNULL(reservationorderoption, 0))
                   WHEN 1 THEN   ISNULL(ReservationQuantity, 0)
                               - ISNULL(ReservationActualQuantity, 0)
                   ELSE 0
                END) AS AdditionalOrderQty,
            SUM(CASE ISNULL(ovrorderoption, ISNULL(reservationorderoption, 0))
                   WHEN 2 THEN   ISNULL(ReservationQuantity, 0)
                               - ISNULL(ReservationActualQuantity, 0)
                   ELSE 0
                END) AS MinOrderQty,
            SUM(CASE ISNULL(ovrorderoption, ISNULL(reservationorderoption, 0))
                   WHEN 3 THEN   ISNULL(ReservationQuantity, 0)
                               - ISNULL(ReservationActualQuantity, 0)
                   ELSE 0
                END) AS NoneOrderQty
       FROM (RESERVATIONDETAIL r2 INNER JOIN RESERVATION r1 ON r1.reservationno = r2.reservationno) 
		 INNER JOIN STATION s ON r2.reservationcribbin = s.cribbin
      WHERE (   RESERVATIONSTATUS IN(1, 2)
             OR RESERVATIONSTATUS =
                   CASE (SELECT INT
                           FROM GLOBALSETTINGS
                          WHERE KEYNAME = 'Purchasing_OrderForOpenReservations')
                      WHEN 1 THEN 0
                      ELSE 1
                   END)
        AND ISNULL(ReservationQuantity, 0) > ISNULL(ReservationActualQuantity, 0)
        AND daterequired <
                 CAST(CONVERT(VARCHAR, GETDATE(), 20) AS datetime)
               + ISNULL(OverrideAvgLeadTime, AvgLeadTime)
               + (SELECT ISNULL(MAX(INT), 0) + 1
                    FROM GLOBALSETTINGS
                   WHERE KEYNAME = 'Purchasing_MoreLeadDays')
   GROUP BY reservationcribbin