CREATE VIEW VSecAuditHistory AS
   SELECT SECAUDITHISTORY.SecAuditHistoryNo,
          VSecAuditType.SVName,
          SECURITYGRP.SecurityGrpName,
          SECURITYGRP.SecurityGrpDescription,
          FUNCTIONNAMES.FunctionGrpName,
          FUNCTIONNAMES.FunctionName,
          SECAUDITHISTORY.EmployeeId,
          EMPLOYEE.NAME,
          SECAUDITHISTORY.SecScopeType,
          SECAUDITHISTORY.SecAuditUID,
          EMPLOYEE_1.NAME AS AuditUIDName,
          SECAUDITHISTORY.SecAuditDate,
          SECAUDITHISTORY.SecAuditType,
          SECURITYGRP.SecurityGrpId,
          FUNCTIONNAMES.FunctionId,
	  SECAUDITHISTORY.CRIB,
	  CRIB.NAME AS CribName,
          ISNULL(CAST (SECAUDITHISTORY.Crib AS VARCHAR), ISNULL(FunctionGrpName, SecurityGrpName)) AS AuditDescriptor1,
	  CASE WHEN SECAUDITHISTORY.CRIB IS NULL THEN
	          CASE WHEN FunctionGrpName IS NULL THEN SecurityGrpDescription ELSE ISNULL(FUNCTIONNAME, '<ALL>') END 
	  ELSE CRIB.NAME END AS AuditDescriptor2,
          CASE SecScopeType WHEN 1 THEN 'Non-primary' ELSE 'Primary' END AS SecScopeTypeDescription
     FROM SECAUDITHISTORY INNER JOIN VSecAuditType ON SECAUDITHISTORY.SecAuditType = VSecAuditType.SVNumber 
    	LEFT OUTER JOIN EMPLOYEE EMPLOYEE_1 ON SECAUDITHISTORY.SecAuditUID = EMPLOYEE_1.ID 
		LEFT OUTER JOIN FUNCTIONNAMES ON SECAUDITHISTORY.FunctionId = FUNCTIONNAMES.FunctionId 
		LEFT OUTER JOIN SECURITYGRP ON SECAUDITHISTORY.SecurityGrpId =SECURITYGRP.SecurityGrpId 
		LEFT OUTER JOIN EMPLOYEE ON SECAUDITHISTORY.EmployeeId = EMPLOYEE.ID
		LEFT OUTER JOIN CRIB ON SECAUDITHISTORY.CRIB = CRIB.CRIB
GO
