CREATE TABLE ItemRelationship(
	ItemRelationshipId INT IDENTITY NOT FOR REPLICATION CONSTRAINT ITEMRELATIONSHIP_PK PRIMARY KEY,
	ItemNumber varchar(%ITEMNUMBERSIZE%) NOT NULL,
	RelatedItemNumber varchar(%ITEMNUMBERSIZE%) NULL,
	RelatedQuantity INT NULL,
	Precedence INT NULL,
	RelationshipTypeId int NULL,
	RelationshipCode varchar(30) NULL,
	Comments varchar(255) NULL 
) 
GO


CREATE TABLE RelationshipType(
	RelationshipTypeId INT IDENTITY NOT FOR REPLICATION CONSTRAINT PK_RelationshipTypeId PRIMARY KEY,
	RelationshipTypeName varchar (50) NOT NULL ,
	Predefined bit NULL,
	UsageType int NULL,
) 
GO

CREATE UNIQUE INDEX IX_RELATIONSHIPTYPE_RELATIONSHIPTYPENAME ON RelationShipType(RelationshipTypeName)
GO

SET IDENTITY_INSERT RelationshipType ON 
GO

INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(1, 'Substitute',1,2) 
GO

INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(2, 'Made From',1,1) 
GO

INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(3, 'Used On',1,2)
GO
	
INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(4, 'Cross Reference',1,1)
GO

SET IDENTITY_INSERT RelationshipType OFF 
GO
