CREATE TABLE ViewPaneClass (
	ViewPaneClassId INTEGER CONSTRAINT VIEWPANECLASS_PK PRIMARY KEY,
	ViewName varchar(30) NOT NULL
)
GO

CREATE UNIQUE INDEX IX_VIEWPANECLASS_VIEWNAME ON VIEWPANECLASS(VIEWNAME)
GO

CREATE TABLE ToolbarFilterButton (
	ToolbarFilterButtonId INTEGER IDENTITY NOT FOR REPLICATION CONSTRAINT TOOLBARFILTERBUTTON_PK PRIMARY KEY,
	ToolbarName varchar(25) NOT NULL,
	ViewPaneClassId int NOT NULL
)
GO

CREATE UNIQUE INDEX IX_TOOLBARFILTERBUTTON ON TOOLBARFILTERBUTTON(ToolbarName, ViewPaneClassId)
GO

CREATE TABLE NamedSearch (
	NamedSearchNo INTEGER IDENTITY NOT FOR REPLICATION CONSTRAINT NAMEDSEARCH_PK PRIMARY KEY,
	SearchName varchar(25) NULL,
	SearchText varchar(50) NULL,
	ViewPaneClassId int NOT NULL,
	EmployeeID varchar (12) NULL,
	IsPublicSearch tinyint NULL
)
GO

CREATE UNIQUE INDEX IX_NAMEDSEARCH_SEARCHNAMES ON NAMEDSEARCH (SearchName, ViewPaneClassId)
GO

CREATE TABLE NamedSearchField (
	NamedSearchFieldNo INTEGER IDENTITY NOT FOR REPLICATION CONSTRAINT NAMEDSEARCHFIELD_PK PRIMARY KEY,
	FieldName varchar(50) NOT NULL,
	IncludeInSearch tinyint NULL,
	SearchCriteria varchar(50) NULL,
	NamedSearchNo int NOT NULL
)
GO

CREATE UNIQUE INDEX IX_NAMEDSEARCHFIELD ON NAMEDSEARCHFIELD (FieldName, NamedSearchNo)
GO

CREATE TABLE NamedSearchTBFilter (
	NamedSearchTBFilterNo  INTEGER IDENTITY NOT FOR REPLICATION CONSTRAINT NAMEDSEARCHTBFILTER_PK PRIMARY KEY,
	Status tinyint NOT NULL,
	NamedSearchNo int NOT NULL,
	ToolbarFilterButtonId int NOT NULL
)
GO

CREATE UNIQUE INDEX IX_NAMEDSEARCHTBFILTER ON NAMEDSEARCHTBFILTER (NamedSearchNo, ToolbarFilterButtonId)
GO

