CREATE TABLE Reservation (
	ReservationNo INTEGER IDENTITY  NOT FOR REPLICATION CONSTRAINT RESERVATION_PK PRIMARY KEY ,
	CreatedByEmployee varchar (12) NULL ,
	ReservedForEmployee varchar (12) NULL ,
	ApprovedByEmployee varchar (12) NULL ,
	DateCreated datetime NOT NULL ,
	DateRequired datetime NOT NULL ,
	ReservationType tinyint NULL ,
	ReservationStatus tinyint NOT NULL ,
	ReservationUser1 varchar (12) NULL ,
	ReservationUser3 varchar (12) NULL ,
	ReservationUser2 varchar (12) NULL ,
	ReservationUser4 varchar (12) NULL ,
	ReservationUser5 varchar (12) NULL ,
	ReservationUser6 varchar (12) NULL ,
	ReservationWONo int NULL
) 
GO

CREATE TABLE ReservationDetail (
	ReservationDetailNo INTEGER IDENTITY  NOT FOR REPLICATION CONSTRAINT RESERVATIONDETAIL_PK PRIMARY KEY,
	ReservationNo int NOT NULL ,
	ReservationCribBin varchar (15) NOT NULL ,
	ReservationCrib smallint NOT NULL ,
	ReservationItemNumber varchar (%ITEMNUMBERSIZE%) NULL ,
	ReservationQuantity int NOT NULL ,
	ReservationActualQuantity int NOT NULL ,
	ReservationSerialID varchar (%SERIALIDSIZE%) NULL
)
GO

CREATE  INDEX ResDetail_IX_ResNo ON ReservationDetail(ReservationNo)
GO

CREATE  INDEX ResDetail_IX_CribBin ON ReservationDetail(ReservationCribBin, ReservationCrib)
GO

CREATE  INDEX ResDetail_IX_ItemNumber ON ReservationDetail(ReservationItemNumber)
GO

CREATE TABLE ReservationStatus (
	ReservationStatus tinyint CONSTRAINT RESERVATIONSTATUS_PK PRIMARY KEY,
	ReservationStatusDesc varchar (20) NOT NULL 
)
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(0, 'Open')
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(1, 'Approved')
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(2, 'Partially Filled')
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(3, 'Closed')
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(4, 'Rejected')
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(5, 'Deferred')
GO






