CREATE TABLE WODefSchedule (
	WODefScheduleNo integer IDENTITY NOT FOR REPLICATION CONSTRAINT WODEFSCHEDULE_PK Primary Key,
	WODefNo int NULL ,
	AssetNo int NULL ,
	EquipmentType tinyint NULL ,
	LastWODate datetime NULL ,
	BaseDate datetime NULL ,
	NextWODate datetime NULL ,
	OverrideNextWODate datetime NULL ,
	Interval int NULL ,
	IntervalType tinyint NULL ,
	PreferredDay tinyint NULL ,
	Priority tinyint NULL ,
	WONo int NULL ,
	FloatSchedule bit NOT NULL ,
	LastRunUnits int NULL ,
	BaseRunUnits int NULL ,
	NextRunUnits int NULL ,
	OverrideNextRunUnits int NULL ,
	WODefScheduleInactive bit NOT NULL ,
	RunUnitsInterval int NULL ,
	ReasonCode varchar (4) NULL ,
)
GO

CREATE  INDEX WODEFSCHED_IX_ASSETNO ON WODefSchedule(AssetNo)
GO

CREATE  INDEX WODEFSCHED_IX_WODEFSCHEDULENO ON WODefSchedule(WODefScheduleNo)
GO

CREATE  INDEX WODEFSCHED_IX_WODEFNO ON WODefSchedule(WODefNo)
GO

EXEC sp_bindefault 'UW_ZeroDefault', 'WODefSchedule.FloatSchedule'
GO

EXEC sp_bindefault 'UW_ZeroDefault', 'WODefSchedule.WODefScheduleInactive'
GO

