CREATE OR REPLACE PROCEDURE WXDB_CreateSequenceTrigger
(tablename varchar2, keyname varchar2) is
cid INTEGER;
sqlstmt varchar2(2000);

BEGIN
cid := DBMS_SQL.OPEN_CURSOR;
sqlstmt := 
'CREATE OR REPLACE TRIGGER TRG_' || tablename ||' BEFORE INSERT OR UPDATE OF ' || keyname || ' ON ' || tablename || ' REFERENCING OLD AS OLD NEW AS NEW FOR EACH ROW DECLARE	
		iCounter '||tablename||'.'||keyname||'%TYPE;  
		cannot_change_counter EXCEPTION;  
	BEGIN  
		IF INSERTING  AND (:new.' || keyname || ' IS NULL) THEN  
			Select SEQ_'||tablename ||'.NEXTVAL INTO iCounter FROM Dual;  
			:new.' || keyname || ' := iCounter;  
		END IF;  

		IF UPDATING THEN  
			IF NOT (:new.' || keyname || ' = :old.' || keyname || ') THEN  
				RAISE cannot_change_counter;  
			END IF;  
		END IF;  

	EXCEPTION  
		 WHEN cannot_change_counter THEN  
			 raise_application_error(-20000, ''Cannot Change Counter Value'');	
	END;';
-- raise_application_error(-20000, sqlstmt); 

DBMS_SQL.PARSE(cid, sqlstmt, dbms_sql.v7);
END;