CREATE TABLE WO (
	WONo NUMBER(11,0) CONSTRAINT WO_PK PRIMARY KEY,
	WOID varchar (12) NULL ,
	WODefNo NUMBER(11,0) NULL ,
	AssetNo NUMBER(11,0) NULL ,
	WODescription varchar (50) NULL ,
	DateCreated DATE NULL ,
	DateAssigned DATE NULL ,
	DateRequired DATE NULL ,
	WOStatusNo NUMBER(3,0) NULL ,
	CreatedByEmployee varchar (12) NULL ,
	AssignedToEmployee varchar (12) NULL ,
	DownTime NUMBER(38,4) NULL ,
	RunUnits NUMBER(11,0) NULL ,
	ReasonCode varchar (4) NULL ,
	WOComment varchar (255) NULL ,
	DateClosed DATE NULL ,
	WOCraftCode varchar (12) NULL ,
	WOCloseComment varchar (255) NULL ,
	WOCost NUMBER(38,4) NULL ,
	WOTypeNo NUMBER(3,0) NULL ,
	WOUser1 varchar (12) NULL ,
	WOUser2 varchar (12) NULL ,
	WOUser3 varchar (12) NULL ,
	WOUser4 varchar (12) NULL ,
	WOUser5 varchar (12) NULL ,
	WOUser6 varchar (12) NULL ,
	WOBatchId NUMBER(11,0) NULL
)
GO

CREATE  INDEX WO_IX_AssetNo ON WO(AssetNo)
GO

CREATE  UNIQUE INDEX WO_IX_WOID ON WO(WOID)
GO

CREATE  INDEX WO_IX_WODEFNO ON WO(WODefNo)
GO

CREATE SEQUENCE SEQ_WO INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('WO', 'WONo')
GO

