CREATE OR REPLACE VIEW VALLWODEFSCHEDULEWOITEMS(TASKITEMNO,
                                                TASKNO,
                                                TASKITEMNUMBER,
                                                TASKITEMQUANTITY,
                                                ACTIONCODE,
                                                ISSUEOPTION,
                                                OVRORDEROPTION,
                                                NEXTWODATE,
                                                WODEFSCHEDULENO,
                                                WODEFNO,
                                                PARTSCRIB,
                                                WONO,
                                                INTERVAL,
                                                INTERVALTYPE) AS
   SELECT TASKITEMNO,
          TASKNO,
          TASKITEMNUMBER,
          TASKITEMQUANTITY,
          TASKITEM.ACTIONCODE,
          ISSUEOPTION,
          OVRORDEROPTION,
          NEXTWODATE,
          WODEFSCHEDULENO,
          WODEFSCHEDULE.WODEFNO,
          NVL(PARTSCRIB, Getglobalint('Purchasing_MaintenanceCrib', NULL)),
          WODEFSCHEDULE.WONO,
          INTERVAL,
          INTERVALTYPE
     FROM TASKITEM, ACTIONCODE, WODEFSCHEDULE
    WHERE TASKITEM.ACTIONCODE = ACTIONCODE.ACTIONCODE(+)
      AND TASKITEM.WODEFNO = WODEFSCHEDULE.WODEFNO
      AND NVL(WODEFSCHEDULEINACTIVE, 0) = 0
   UNION ALL
   -- Task items attached to a scheduled WODEF via a TASK
   SELECT TASKITEMNO,
          TASKITEM.TASKNO,
          TASKITEMNUMBER,
          TASKITEMQUANTITY,
          TASKITEM.ACTIONCODE,
          ISSUEOPTION,
          OVRORDEROPTION,
          NEXTWODATE,
          WODEFSCHEDULE.WODEFSCHEDULENO,
          WODEFSCHEDULE.WODEFNO,
          NVL(PARTSCRIB, Getglobalint('Purchasing_MaintenanceCrib', NULL)),
          WODEFSCHEDULE.WONO,
          INTERVAL,
          INTERVALTYPE
     FROM TASKITEM, WODEFTASK, ACTIONCODE, WODEFSCHEDULE
    WHERE TASKITEM.TASKNO = WODEFTASK.TASKNO
      AND WODEFTASK.WODEFNO = WODEFSCHEDULE.WODEFNO
      AND TASKITEM.ACTIONCODE = ACTIONCODE.ACTIONCODE(+)
      AND NVL(WODEFSCHEDULEINACTIVE, 0) = 0
   UNION ALL
   -- Open, Assigned, Parts Need Work Order parts that have not yet been completed
   -- or filled
   SELECT TASKITEMNO,
          TASKNO,
          ITEMNUMBER,
          TASKQUANTITY - NVL(WOTASKITEM.ACTUALQUANTITY, 0),
          NVL(ACTUALACTIONCODE, TASKACTIONCODE),
          ISSUEOPTION,
          OVRORDEROPTION,
          SYSDATE,
          TO_NUMBER(NULL),
          WODEFNO,
          NVL(PARTSCRIB, GETGLOBALINT('Purchasing_MaintenanceCrib', NULL)),
          WO.WONO,
          TO_NUMBER(NULL),
          TO_NUMBER(NULL)
     FROM WOTASKITEM, WOTASK, WO, ACTIONCODE
    WHERE WOTASKITEM.WONO = WO.WONO
      AND WOTASKITEM.WOTASKNO = WOTASK.WOTASKNO(+)
      AND ACTIONCODE.ACTIONCODE = NVL(ACTUALACTIONCODE, TASKACTIONCODE)
      AND WOSTATUSNO IN(0, 1, 4)
      AND TASKQUANTITY > NVL(WOTASKITEM.ACTUALQUANTITY, 0)
      AND NVL(WOTICOMPLETE, 0) = 0
      AND NVL(WOTASKCOMPLETE, 0) = 0;