CREATE OR REPLACE VIEW VEmployeePermissions AS
SELECT EMPLOYEEID,
       FUNCTIONID,
       FUNCTIONGRPNAME,
       FUNCTIONNAME,
       SCOPETYPE
  FROM (SELECT es.employeeid,
               sgf.functionid,
               sgf.functiongrpname,
               sgf.functionname,
               scopetype
          FROM EMPLOYEESECURITY es,
               (SELECT sga.securitygrpid,
                       fn.functionid,
                       fn.functiongrpname,
                       fn.functionname
                  FROM FUNCTIONNAMES fn, SECURITYGRPACCESS sga
                 WHERE sga.functionid = fn.functionid AND fn.functionname IS NOT NULL
                UNION
                SELECT sga.securitygrpid,
                       fn2.functionid,
                       fn2.functiongrpname,
                       fn2.functionname
                  FROM FUNCTIONNAMES fn, SECURITYGRPACCESS sga, FUNCTIONNAMES fn2
                 WHERE sga.functionid = fn.functionid
                   AND fn.functionname IS NULL
                   AND fn.functiongrpname = fn2.functiongrpname
                   AND fn2.functionname IS NOT NULL) SGF
         WHERE es.securitygrpid = sgf.securitygrpid AND scopetype = 0
        UNION
        SELECT es.employeeid,
               ff.functionid,
               ff.functiongrpname,
               ff.functionname,
               scopetype
          FROM EMPLOYEESECURITYEXT es,
               (SELECT fn2.functionid,
                       fn2.functionname,
                       fn2.functiongrpname,
                       fn.functionid origfunctionid
                  FROM FUNCTIONNAMES fn, FUNCTIONNAMES fn2
                 WHERE fn.functiongrpname = fn2.functiongrpname
                   AND fn.functionname IS NULL
                   AND fn2.functionname IS NOT NULL
                UNION
                SELECT functionid,
                       functionname,
                       functiongrpname,
                       functionid
                  FROM FUNCTIONNAMES
                 WHERE functionname IS NOT NULL AND functiongrpname IS NOT NULL) FF
         WHERE es.functionid = ff.origfunctionid AND scopetype = 0 AND securitytype = 2
        MINUS
        SELECT es.employeeid,
               ff.functionid,
               ff.functiongrpname,
               ff.functionname,
               scopetype
          FROM EMPLOYEESECURITYEXT es,
               (SELECT fn2.functionid,
                       fn2.functionname,
                       fn2.functiongrpname,
                       fn.functionid origfunctionid
                  FROM FUNCTIONNAMES fn, FUNCTIONNAMES fn2
                 WHERE fn.functiongrpname = fn2.functiongrpname
                   AND fn.functionname IS NULL
                   AND fn2.functionname IS NOT NULL
                UNION
                SELECT functionid,
                       functionname,
                       functiongrpname,
                       functionid
                  FROM FUNCTIONNAMES
                 WHERE functionname IS NOT NULL AND functiongrpname IS NOT NULL) FF
         WHERE es.functionid = ff.origfunctionid AND scopetype = 0 AND securitytype = 1)
UNION
(SELECT es.employeeid,
        sgf.functionid,
        sgf.functiongrpname,
        sgf.functionname,
        scopetype
   FROM EMPLOYEESECURITY es,
        (SELECT sga.securitygrpid,
                fn.functionid,
                fn.functiongrpname,
                fn.functionname
           FROM FUNCTIONNAMES fn, SECURITYGRPACCESS sga
          WHERE sga.functionid = fn.functionid AND fn.functionname IS NOT NULL
         UNION
         SELECT sga.securitygrpid,
                fn2.functionid,
                fn2.functiongrpname,
                fn2.functionname
           FROM FUNCTIONNAMES fn, SECURITYGRPACCESS sga, FUNCTIONNAMES fn2
          WHERE sga.functionid = fn.functionid
            AND fn.functionname IS NULL
            AND fn.functiongrpname = fn2.functiongrpname
            AND fn2.functionname IS NOT NULL) SGF
  WHERE es.securitygrpid = sgf.securitygrpid AND scopetype = 1
 UNION
 SELECT es.employeeid,
        ff.functionid,
        ff.functiongrpname,
        ff.functionname,
        scopetype
   FROM EMPLOYEESECURITYEXT es,
        (SELECT fn2.functionid,
                fn2.functionname,
                fn2.functiongrpname,
                fn.functionid origfunctionid
           FROM FUNCTIONNAMES fn, FUNCTIONNAMES fn2
          WHERE fn.functiongrpname = fn2.functiongrpname
            AND fn.functionname IS NULL
            AND fn2.functionname IS NOT NULL
         UNION
         SELECT functionid,
                functionname,
                functiongrpname,
                functionid
           FROM FUNCTIONNAMES
          WHERE functionname IS NOT NULL AND functiongrpname IS NOT NULL) FF
  WHERE es.functionid = ff.origfunctionid AND scopetype = 1 AND securitytype = 2
 MINUS
 SELECT es.employeeid,
        ff.functionid,
        ff.functiongrpname,
        ff.functionname,
        scopetype
   FROM EMPLOYEESECURITYEXT es,
        (SELECT fn2.functionid,
                fn2.functionname,
                fn2.functiongrpname,
                fn.functionid origfunctionid
           FROM FUNCTIONNAMES fn, FUNCTIONNAMES fn2
          WHERE fn.functiongrpname = fn2.functiongrpname
            AND fn.functionname IS NULL
            AND fn2.functionname IS NOT NULL
         UNION
         SELECT functionid,
                functionname,
                functiongrpname,
                functionid
           FROM FUNCTIONNAMES
          WHERE functionname IS NOT NULL AND functiongrpname IS NOT NULL) FF
  WHERE es.functionid = ff.origfunctionid AND scopetype = 1 AND securitytype = 1)