CREATE OR REPLACE VIEW VRFIDSTATUS(RFID,
                                   EMPLOYEEID,
                                   ITEMNUMBER,
                                   SERIALID,
                                   CRIB,
                                   CRIBBIN,
                                   LASTEMPLOYEE,
                                   LASTCRIB,
                                   STATUS,
                                   SERIALIDCRIBBIN,
                                   HOMECRIB,
                                   LASTTRANSACTION,
                                   READCOUNT) AS
   SELECT RFID,
          EmployeeID,
          ITEMSERIAL.ItemNumber,
          RFID.SerialID,
          STATION.CRIB,
          RFID.CribBin,
          LastEmployee,
          LastCrib,
          RFID.Status,
          ITEMSERIAL.CribBin,
          HomeCrib,
          LastTransaction,
          ReadCount
     FROM RFID, ITEMSERIAL, STATION WHERE RFID.SERIALID = ITEMSERIAL.SERIALID 
	 	 AND ITEMSERIAL.CRIBBIN = STATION.CRIBBIN (+)
    AND RFID.CRIBBIN IS NULL
	UNION 
   SELECT RFID,
          EmployeeID,
          ItemNumber,
          SerialID,
          NULL,
          NULL,
          LastEmployee,
          LastCrib,
          Status,
          NULL AS SerialIDCribBin,
          NULL AS HomeCrib,
          LastTransaction,
          ReadCount
     FROM RFID
    WHERE CRIBBIN IS NULL AND SERIALID IS NULL
   UNION
   SELECT RFID,
          EmployeeID,
          Item AS ItemNumber,
          SerialID,
          STATION.CRIB,
          RFID.CribBin,
          LastEmployee,
          LastCrib,
          Status,
          NULL,
          NULL,
          LastTransaction,
          ReadCount
     FROM RFID, STATION WHERE RFID.CRIBBIN = STATION.CRIBBIN
