CREATE OR REPLACE VIEW VRFIDSTATUS(RFIDNO,
							       RFID,
								   PARENTRFIDNO,
                                   EMPLOYEEID,
                                   ITEMNUMBER,
                                   SERIALID,
                                   CRIB,
                                   CRIBBIN,
                                   LASTEMPLOYEE,
                                   LASTCRIB,
                                   STATUS,
                                   SERIALIDCRIBBIN,
                                   HOMECRIB,
                                   LASTTRANSACTION,
                                   READCOUNT,
								   SERIALSTATUS) AS
   SELECT RFIDNo,
   		  RFID,
          ParentRFIDNo,
          EmployeeID,
          ITEMSERIAL.ItemNumber,
          RFID.SerialID,
          STATION.CRIB,
          RFID.CribBin,
          LastEmployee,
          LastCrib,
          RFID.Status,
          ITEMSERIAL.CribBin,
          HomeCrib,
          LastTransaction,
          ReadCount, 
		  ItemSerial.Status
     FROM RFID, ITEMSERIAL, STATION WHERE RFID.SERIALID = ITEMSERIAL.SERIALID 
	 	 AND ITEMSERIAL.CRIBBIN = STATION.CRIBBIN (+)
    AND RFID.CRIBBIN IS NULL
	UNION 
   SELECT RFIDNo,
   		  RFID,
          ParentRFIDNo,
          EmployeeID,
          ItemNumber,
          SerialID,
          NULL,
          NULL,
          LastEmployee,
          LastCrib,
          Status,
          NULL AS SerialIDCribBin,
          NULL AS HomeCrib,
          LastTransaction,
          ReadCount,
		  NULL
     FROM RFID
    WHERE CRIBBIN IS NULL AND SERIALID IS NULL
   UNION
   SELECT RFIDNo,
   		  RFID,
          ParentRFIDNo,
          EmployeeID,
          Item AS ItemNumber,
          RFID.SerialID,
          STATION.CRIB,
          RFID.CribBin,
          LastEmployee,
          LastCrib,
          RFID.Status,
          ITEMSERIAL.CribBin,
          HomeCrib,
          LastTransaction,
          ReadCount, 
		  ItemSerial.Status
     FROM RFID, ITEMSERIAL, STATION WHERE RFID.SERIALID = ITEMSERIAL.SERIALID (+)
	 	 AND RFID.CRIBBIN = STATION.CRIBBIN 