CREATE OR REPLACE VIEW VRESERVCRIBBINORDERQTYLT(RESERVATIONCRIBBIN,
                                                    DEFAULTORDERQTY,
                                                    ADDITIONALORDERQTY,
                                                    MINORDERQTY,
                                                    NONEORDERQTY) AS
   SELECT   reservationcribbin,
            SUM(DECODE(NVL(ovrorderoption, NVL(reservationorderoption, 0)),
                       0, NVL(ReservationQuantity, 0) - NVL(ReservationActualQuantity, 0),
                       0)) AS DefaultOrderQty,
            SUM(DECODE(NVL(ovrorderoption, NVL(reservationorderoption, 0)),
                       1, NVL(ReservationQuantity, 0) - NVL(ReservationActualQuantity, 0),
                       0)) AS AdditionalOrderQty,
            SUM(DECODE(NVL(ovrorderoption, NVL(reservationorderoption, 0)),
                       2, NVL(ReservationQuantity, 0) - NVL(ReservationActualQuantity, 0),
                       0)) AS MinOrderQty,
            SUM(DECODE(NVL(ovrorderoption, NVL(reservationorderoption, 0)),
                       3, NVL(ReservationQuantity, 0) - NVL(ReservationActualQuantity, 0),
                       0)) AS NoneOrderQty
       FROM RESERVATION r1, RESERVATIONDETAIL r2, STATION s
      WHERE r1.reservationno = r2.reservationno
        AND r2.reservationcribbin = s.cribbin
        AND (   RESERVATIONSTATUS IN(1, 2)
             OR RESERVATIONSTATUS =
                   DECODE(GETGLOBALINT('Purchasing_OrderForOpenReservations', 1),
                          1, 0,
                          1))
        AND NVL(ReservationQuantity, 0) > NVL(ReservationActualQuantity, 0)
        AND daterequired <
                 SYSDATE
               + NVL(OverrideAvgLeadTime, AvgLeadTime) + 1
               + GETGLOBALINT('Purchasing_MoreLeadDays', 0)
   GROUP BY reservationcribbin;