CREATE OR REPLACE VIEW VSECAUDITHISTORY(SECAUDITHISTORYNO,
                                        SVNAME,
                                        SECURITYGRPNAME,
                                        SECURITYGRPDESCRIPTION,
                                        FUNCTIONGRPNAME,
                                        FUNCTIONNAME,
                                        EMPLOYEEID,
                                        NAME,
                                        SECSCOPETYPE,
                                        SECAUDITUID,
                                        AUDITUIDNAME,
                                        SECAUDITDATE,
                                        SECAUDITTYPE,
                                        SECURITYGRPID,
                                        FUNCTIONID,
                                        CRIB,
                                        CRIBNAME,
                                        AUDITDESCRIPTOR1,
                                        AUDITDESCRIPTOR2,
                                        SECSCOPETYPEDESCRIPTION) AS
   SELECT SECAUDITHISTORY.SecAuditHistoryNo,
          VSecAuditType.SVName,
          SECURITYGRP.SecurityGrpName,
          SECURITYGRP.SecurityGrpDescription,
          FUNCTIONNAMES.FunctionGrpName,
          FUNCTIONNAMES.FunctionName,
          SECAUDITHISTORY.EmployeeId,
          EMPLOYEE.NAME,
          SECAUDITHISTORY.SecScopeType,
          SECAUDITHISTORY.SecAuditUID,
          EMPLOYEE_1.NAME AS AuditUIDName,
          SECAUDITHISTORY.SecAuditDate,
          SECAUDITHISTORY.SecAuditType,
          SECURITYGRP.SecurityGrpId,
          FUNCTIONNAMES.FunctionId,
          SECAUDITHISTORY.CRIB,
          CRIB.NAME AS CribName,
          NVL(TO_CHAR(SECAUDITHISTORY.CRIB), NVL(FunctionGrpName, SecurityGrpName))
                                                                      AS AuditDescriptor1,
          DECODE(SECAUDITHISTORY.CRIB,
                 NULL, DECODE(FunctionGrpName,
                              NULL, SecurityGrpDescription,
                              FUNCTIONNAME),
                 CRIB.NAME) AS AuditDescriptor2,
          DECODE(SECSCOPETYPE, 1, 'Non-primary', 'Primary') AS SecScopeTypeDescription
     FROM SECAUDITHISTORY,
          VSecAuditType,
          EMPLOYEE EMPLOYEE_1,
          FUNCTIONNAMES,
          SECURITYGRP,
          EMPLOYEE,
          CRIB
    WHERE SecAuditType = VSecAuditType.SVNumber
      AND SECAUDITHISTORY.SecAuditUID = EMPLOYEE_1.ID(+)
      AND SECAUDITHISTORY.FunctionId = FUNCTIONNAMES.FunctionId(+)
      AND SECAUDITHISTORY.SecurityGrpId = SECURITYGRP.SecurityGrpId(+)
      AND SECAUDITHISTORY.EmployeeId = EMPLOYEE.ID(+)
      AND SECAUDITHISTORY.CRIB = CRIB.CRIB(+);