CREATE TABLE ASN
(
  ASNID		   NUMBER(11,0)  CONSTRAINT ASN_PK PRIMARY KEY,
  PONUMBER    	   NUMBER(11),
  IMPORTDATE	   DATE,
  FILENAME	   VARCHAR2(128),
  RECORDTYPE	   NUMBER(3),
  BOXCOUNT	   NUMBER(11) ,
  COMMENTS	   VARCHAR2(255),
  DATESHIPPED	   DATE
)
GO

CREATE SEQUENCE SEQ_ASN INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('ASN', 'ASNID')
GO

CREATE TABLE ASNDETAIL
(
  ASNDETAILID       NUMBER(11,0)  CONSTRAINT ASNDETAIL_PK PRIMARY KEY,
  ASNID		        NUMBER(11,0)  NOT NULL,
  PODORIGINALSEQNO  NUMBER(11), 
  QUANTITY          NUMBER(11),
  RECDQUANTITY      NUMBER(11),
  UNITCOST			NUMBER(38,4),
  RESPONSESTATUS    VARCHAR2(10),
  CURRENTSTATUS   	NUMBER(3),
  PROCESSEDDATE		DATE,
  SCANCODE			VARCHAR2(128),
  COMMENTS			VARCHAR2(255)
)
GO

CREATE SEQUENCE SEQ_ASNDETAIL	INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('ASNDETAIL','ASNDETAILID')
GO



