CREATE TABLE ATRSettings (
	ATRSettingsNo NUMBER(11,0) CONSTRAINT ATRSETTINGS_PK PRIMARY KEY,
	SettingsTemplateNo NUMBER(11,0) NULL,
	SiteID varchar(12) NULL,
	Crib NUMBER(11,0) NULL,
	KeyName varchar(40) NOT NULL,
	Int NUMBER(11,0) NULL,
	String varchar(250) NULL,
	LockOption NUMBER(3,0) NULL
)
GO

CREATE SEQUENCE SEQ_ATRSETTINGS INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('ATRSettings', 'ATRSettingsNo')
GO

CREATE INDEX IX_ATRSETTINGS_TEMPLATE ON ATRSETTINGS(SETTINGSTEMPLATENO)
GO

CREATE INDEX IX_ATRSETTINGS_SITEID ON ATRSETTINGS(SITEID)
GO

CREATE INDEX IX_ATRSETTINGS_CRIB ON ATRSETTINGS(CRIB)
GO
