CREATE TABLE AttributeDef
	(
	AttributeDefNo NUMBER(11,0) CONSTRAINT ATTRIBUTEDEF_PK PRIMARY KEY,
	AttributeClassNo NUMBER(11,0) NOT NULL,
	AttributeName varchar(50) NOT NULL,
	AttributeTypeNo NUMBER(3,0) NULL,
	AttributeIDCode varchar(50) NULL,
	AttributeSequence NUMBER(3,0) NULL,
	AttributeDesc1Code varchar(50) NULL,
	AttributeDesc2Code varchar(50) NULL,
	ValueIDGenType NUMBER(3,0) NULL,
	ValueIDLen NUMBER(3,0) NULL,
	ValueDesc1GenType NUMBER(3,0) NULL,
	ValueDesc1Len NUMBER(3,0) NULL,
	ValueDesc2GenType NUMBER(3,0) NULL,
	ValueDesc2Len NUMBER(3,0) NULL,
	AttributeComments varchar(255) NULL,
	AttributeDefinition varchar(255) NULL,
	ValueOptional NUMBER(1,0) DEFAULT 0 NULL,
	UseValueList NUMBER(1,0) DEFAULT 0 NULL,
	AttributeMinValue NUMBER(38,4) NULL,
	AttributeMaxValue NUMBER(38,4) NULL,
	OvrAVLAttributeDefNo NUMBER(11,0) NULL
	) 
GO

CREATE SEQUENCE SEQ_ATTRIBUTEDEF INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('AttributeDef', 'AttributeDefNo')
GO

CREATE UNIQUE INDEX IX_ATTRIBUTEDEF_NAMECLASS ON ATTRIBUTEDEF(ATTRIBUTENAME, ATTRIBUTECLASSNO)
GO


