CREATE TABLE ClassDef
	(
	ClassNo NUMBER(11,0) CONSTRAINT CLASSDEF_PK PRIMARY KEY,
	ParentClassNo NUMBER(11,0) NULL,
	ClassName varchar(50) NOT NULL,
	ClassIDCode varchar(12) NULL,
	ClassDesc1Code varchar(50) NULL,
	ClassDesc2Code varchar(50) NULL,
	ClassComments varchar(255) NULL,
	ClassDefinition varchar(255) NULL,
	ClassRevision NUMBER(11,0) NULL,
	DefaultItemTypeNo NUMBER(3,0) NULL,
	DefaultItemClass varchar(50) NULL,
	DefaultSerialized NUMBER(1,0) DEFAULT 0 NOT NULL,
	UseSeqID NUMBER(1,0) NULL,
	MinSeqDigits NUMBER(11,0) NULL,
	NextSeqID NUMBER(11,0) NULL
	)
GO

CREATE SEQUENCE SEQ_CLASSDEF INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('ClassDef', 'ClassNo')
GO

CREATE UNIQUE INDEX IX_CLASSDEF_CLASSNAME ON CLASSDEF(ClassName, ParentClassNo)
GO


