CREATE TABLE CycleCountSettings (
	CycleCountSettingsNo NUMBER(11,0) CONSTRAINT CYCLECOUNTSETTINGS_PK PRIMARY KEY,
	CycleCountClassNo NUMBER(11,0) NOT NULL,
	Crib NUMBER(11,0) NOT NULL,
	CycleDuration NUMBER(11,0) NULL,
	CycleEndDate DATE NULL,
	OvrCycleStartDate DATE NULL,
	CycleEndDay NUMBER(3,0) NULL,
	SubCycleType NUMBER(3,0) NULL,
	BinSequenceOption NUMBER(3,0) NULL,
	ExpectedAccuracy NUMBER(3,0) NULL,
	AutoScheduleOption NUMBER(3,0) NULL,
	AutoUpdateSerialIDOption NUMBER(3,0) NULL,
	AutoCountSerialIDBinOption NUMBER(3,0) NULL,
	HideExpectedCountOption NUMBER(3,0) NULL
) 
GO

CREATE UNIQUE INDEX IX_CYCLECOUNTSETTINGS_CRIB ON CYCLECOUNTSETTINGS(CycleCountClassNo, Crib)
GO

CREATE SEQUENCE SEQ_CYCLECOUNTSETTINGS INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('CycleCountSettings', 'CycleCountSettingsNo')
GO

