CREATE TABLE ITEMLIMIT
	(
 	ItemLimitNo NUMBER(11,0)  CONSTRAINT PK_ITEMLIMIT PRIMARY KEY ,
	CraftCode varchar(12) NULL,
	ItemNumber varchar(%ITEMNUMBERSIZE%) NULL,
	ItemLimit NUMBER(11,0) NULL,
	ItemLimitInterval NUMBER(11,0) NULL, 
	ItemLimitIntervalType NUMBER(3,0) NULL
	) 
GO

CREATE UNIQUE INDEX IX_ITEMLIMIT_CRAFTITEM ON ITEMLIMIT(ITEMNUMBER, CRAFTCODE)
GO

CREATE SEQUENCE SEQ_ITEMLIMIT INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('ITEMLIMIT', 'ItemLimitNo')
GO

CREATE OR REPLACE VIEW V_ITEMLIMIT AS 
	SELECT  ItemLimitNo ,  CONCAT( CONCAT(CraftCode, '/' ),  ITEMNUMBER)  CraftCodeItem,  
	CraftCode ,  ItemLimit , ItemLimitInterval , ItemLimitIntervalType   
	FROM ITEMLIMIT
GO

