CREATE TABLE ItemRelationship(
	ItemRelationshipId NUMBER(11) NOT NULL CONSTRAINT PK_ItemRelationship PRIMARY KEY,
	ItemNumber varchar (%ITEMNUMBERSIZE%) NOT NULL ,
	RelatedItemNumber varchar (%ITEMNUMBERSIZE%) NOT NULL ,
	RelatedQuantity NUMBER(11,0) DEFAULT 0 NULL,
	Precedence NUMBER(11,0) NULL,
	RelationshipTypeId NUMBER(3,0) NULL,
	RelationshipCode varchar(30) NULL,
	Comments varchar(255) NULL 
) 
GO


CREATE SEQUENCE SEQ_ITEMRELATIONSHIP INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO


CALL WXDB_CREATESEQUENCETRIGGER('ITEMRELATIONSHIP', 'ItemRelationshipId')
GO


CREATE TABLE RelationshipType(
	RelationshipTypeId NUMBER(11) NOT NULL CONSTRAINT PK_RelationshipTypeId PRIMARY KEY,
	RelationshipTypeName varchar (50) NOT NULL,
	Predefined NUMBER(1,0) NULL,
	UsageType NUMBER(3,0) NULL
) 
GO

CREATE UNIQUE INDEX IX_RELATIONSHIPTYPE_NAME ON RELATIONSHIPTYPE(RELATIONSHIPTYPENAME)
GO


CREATE SEQUENCE SEQ_RELATIONSHIPTYPE INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('RELATIONSHIPTYPE', 'RelationshipTypeId')
GO

INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(1, 'Substitute',1,2) 
GO

INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(2, 'Made From',1,1) 
GO

INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(3, 'Used On',1,2)
GO
	
INSERT INTO RelationshipType(RelationshipTypeId, RelationshipTypeName,Predefined,UsageType) VALUES(4, 'Cross Reference',1,1)
GO
