CREATE TABLE LotNumber
	(
 	LotNo NUMBER(11,0) CONSTRAINT PK_LOTNUMBER PRIMARY KEY,
	LotItemNumber varchar(%ITEMNUMBERSIZE%) NULL,
	LotNumber varchar(30) NULL,
	LotCreationDate date NULL,
	LotExpirationDate date NULL,
	LotInactive NUMBER(1,0) NOT NULL,
	LotTotalQuantity NUMBER(11,0) NULL,
	LotComments varchar(255) NULL,
	LotLastTransDate date NULL
	) 
GO

CREATE SEQUENCE SEQ_LOTNUMBER INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('LotNumber', 'LotNo')
GO

CREATE UNIQUE INDEX IX_LOT_ITEMNUMLOTNUM ON LotNumber(LotItemNumber, LotNumber)
GO

ALTER TABLE INVENTRY ADD TrackLotNumber NUMBER(1,0) NULL
GO

ALTER TABLE TRANS ADD LotNo NUMBER(11,0) NULL 
GO

ALTER TABLE CHECKOUT ADD LotNo NUMBER(11,0) NULL 
GO

ALTER TABLE ITEMSERIAL ADD LotNo NUMBER(11,0) NULL 
GO

ALTER TABLE TRANSFERS ADD LotNo NUMBER(11,0) NULL 
GO





