CREATE TABLE ViewPaneClass (
	ViewPaneClassId NUMBER(11,0) CONSTRAINT VIEWPANECLASS_PK PRIMARY KEY,
	ViewName varchar2(30) NOT NULL
)
GO

CREATE UNIQUE INDEX IX_VIEWPANECLASS_VIEWNAME ON VIEWPANECLASS(VIEWNAME)
GO

CREATE SEQUENCE SEQ_VIEWPANECLASS INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('ViewPaneClass', 'ViewPaneClassId')
GO

CREATE TABLE ToolbarFilterButton (
	ToolbarFilterButtonId NUMBER(11,0) CONSTRAINT TOOLBARFILTERBUTTON_PK PRIMARY KEY,
	ToolbarName varchar2(25) NOT NULL,
	ViewPaneClassId NUMBER(11,0) NOT NULL
)
GO

CREATE UNIQUE INDEX IX_TOOLBARFILTERBUTTON ON TOOLBARFILTERBUTTON(ToolbarName, ViewPaneClassId)
GO

CREATE SEQUENCE SEQ_TOOLBARFILTERBUTTON INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('ToolbarFilterButton', 'ToolbarFilterButtonId')
GO

CREATE TABLE NamedSearch (
	NamedSearchNo NUMBER(11,0) CONSTRAINT NAMEDSEARCH_PK PRIMARY KEY,
	SearchName varchar2(25) NULL,
	SearchText varchar2(50) NULL,
	ViewPaneClassId NUMBER(11,0) NOT NULL,
	EmployeeID varchar2 (12) NULL,
	IsPublicSearch NUMBER(3,0) NULL
)
GO

CREATE UNIQUE INDEX IX_NAMEDSEARCH_SEARCHNAMES ON NAMEDSEARCH (SearchName, ViewPaneClassId)
GO

CREATE SEQUENCE SEQ_NAMEDSEARCH INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('NamedSearch', 'NamedSearchNo')
GO

CREATE TABLE NamedSearchField (
	NamedSearchFieldNo NUMBER(11,0) CONSTRAINT NAMEDSEARCHFIELD_PK PRIMARY KEY,
	FieldName varchar2(50) NOT NULL,
	IncludeInSearch NUMBER(3,0) NULL,
	SearchCriteria varchar2(50) NULL,
	NamedSearchNo NUMBER(11,0) NOT NULL
)
GO

CREATE UNIQUE INDEX IX_NAMEDSEARCHFIELD ON NAMEDSEARCHFIELD (FieldName, NamedSearchNo)
GO

CREATE SEQUENCE SEQ_NAMEDSEARCHFIELD INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('NamedSearchField', 'NamedSearchFieldNo')
GO

CREATE TABLE NamedSearchTBFilter (
	NamedSearchTBFilterNo NUMBER(11,0) CONSTRAINT NAMEDSEARCHTBFILTER_PK PRIMARY KEY,
	Status NUMBER(3,0) NOT NULL,
	NamedSearchNo NUMBER(11,0) NOT NULL,
	ToolbarFilterButtonId NUMBER(11,0) NOT NULL
)
GO

CREATE UNIQUE INDEX IX_NAMEDSEARCHTBFILTER ON NAMEDSEARCHTBFILTER (NamedSearchNo, ToolbarFilterButtonId)
GO

CREATE SEQUENCE SEQ_NAMEDSEARCHTBFILTER INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('NamedSearchTBFilter', 'NamedSearchTBFilterNo')
GO

