-- ReportSection Table
CREATE TABLE ReportSection (
	ReportSectionId NUMBER(11,0) CONSTRAINT REPORTSECTIONID_PK PRIMARY KEY,
	ReportSectionName varchar(25) NOT NULL
)
GO

-- Reports Table
CREATE TABLE Reports (
	ReportId NUMBER(11,0) CONSTRAINT REPORTID_PK PRIMARY KEY,
	ReportSectionId NUMBER(11,0) NOT NULL,
	ReportName  varchar(128) NOT NULL,
	ReportFilename varchar(255) NOT NULL
)
GO

CREATE SEQUENCE SEQ_REPORTS INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('Reports', 'ReportId')
GO

-- ReportSecurity Table
CREATE TABLE ReportSecurity (
	ReportSecurityId NUMBER(11,0) CONSTRAINT REPORTSECURITY_PK PRIMARY KEY,
	ReportId NUMBER(11,0) NOT NULL,
	FunctionId NUMBER(11,0) NOT NULL 
) 
GO

CREATE SEQUENCE SEQ_REPORTSECURITY INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('ReportSecurity', 'ReportSecurityId')
GO

CREATE UNIQUE INDEX IX_REPSECURITY_REPORTFUNCTION ON REPORTSECURITY (ReportId, FunctionId)
GO

INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(1, 'Bin')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(2, 'Inventory')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(3, 'Serial')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(4, 'User1')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(5, 'User2')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(6, 'User3')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(7, 'User4')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(8, 'User5')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(9, 'User6')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(10, 'Kit')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(11, 'Supplier')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(12, 'Transaction')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(13, 'Receipt')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(14, 'Red Flag')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(15, 'Cycle Count')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(16, 'Expiration')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(17, 'Reservation')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(18, 'Bin Label')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(19, 'Employee Card')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(20, 'Serial Label')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(21, 'Rework')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(22, 'Checkout')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(23, 'Analyzer')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(24, 'Additional Reports')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(25, 'Asset')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(26, 'Labor')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(27, 'Lot')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(28, 'Purchase Order')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(29, 'PO Detail')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(30, 'PO Label')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(31, 'Tasks')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(32, 'Transfer')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(33, 'Work Order')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(34, 'WO Def')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(35, 'WO Schedule')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(36, 'WO Transaction')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(37, 'Employee')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(38, 'Common Number')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(39, 'WH Bin')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(40, 'WH Inventory')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(41, 'WH Serial')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(42, 'WH Kit')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(43, 'WH Supplier')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(44, 'WH Transaction')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(45, 'WH Receipt')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(46, 'WH Reservation')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(47, 'WH Rework')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(48, 'WH Checkout')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(49, 'WH Additional Report')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(50, 'WH Assets')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(51, 'WH Labor')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(52, 'WH Lot')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(53, 'WH PO Detail')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(54, 'WH Tasks')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(55, 'WH Transfer')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(56, 'WH Work Order')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(57, 'WH WO Def')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(58, 'WH WO Schedule')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(59, 'WH WO Transaction')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(60, 'WH Employee')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(61, 'WH User1')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(62, 'WH User2')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(63, 'WH User3')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(64, 'WH User4')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(65, 'WH User5')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(66, 'WH User6')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(67, 'Pending Order')
GO
INSERT INTO ReportSection (ReportSectionId, ReportSectionName) VALUES(68, 'WH Pending Order')
GO
