CREATE TABLE Request (
	ReqNo NUMBER(11,0) CONSTRAINT PK_Request PRIMARY KEY,
	ReqCreatedDate date NOT NULL,
	ReqCreatedByID VARCHAR(12) NOT NULL,
	ReqStatusNo NUMBER(3,0) DEFAULT 0 NOT NULL,
	ReqStatusDate date NOT NULL,
	ReqRequestorID VARCHAR(12) NOT NULL,
	ReqApproverID VARCHAR(12) NOT NULL,
	ReqResearcherID VARCHAR(12) NULL,
	ReqAssignedToID VARCHAR(12) NULL,
	ReqDeliverTo VARCHAR(100) NULL,
	ReqComments VARCHAR(255) NULL,
	ReqCrib NUMBER(11,0) NULL,
	ReqRequiredDate date NULL,
	ReqPriorityNo NUMBER(3,0) NULL,
	ReqUser1 VARCHAR(12) NULL,
	ReqUser2 VARCHAR(12) NULL,
	ReqUser3 VARCHAR(12) NULL,
	ReqUser4 VARCHAR(12) NULL,
	ReqUser5 VARCHAR(12) NULL,
	ReqUser6 VARCHAR(12) NULL,
	ReqOriginalReqNo NUMBER(11,0) NULL
)
GO

CREATE INDEX IX_REQUEST_REQREQUESTORID ON Request(ReqRequestorID)
GO

CREATE INDEX IX_REQUEST_REQASSIGNEDTOID ON Request(ReqAssignedToID)
GO

CREATE SEQUENCE SEQ_REQUEST INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('Request', 'ReqNo')
GO
