CREATE TABLE RequestDetail (
	ReqDetNo NUMBER(11,0) CONSTRAINT PK_REQUESTDETAIL PRIMARY KEY,
	ReqNo NUMBER(11,0) NOT NULL,
	ReqDetSequence NUMBER(11,0) NULL,
	ReqDetQuantity NUMBER(11,0) NULL,
	ReqDetUOM VARCHAR(30) NULL,
	ReqDetItemNumber VARCHAR(%ITEMNUMBERSIZE%) NULL,
	ReqDetDescription1 VARCHAR(50) NULL,
	ReqDetDescription2 VARCHAR(50) NULL,
	ReqDetComments VARCHAR(255) NULL,
	ReqDetManufacturer VARCHAR(50) NULL,
	ReqDetMfrNumber VARCHAR(30) NULL,
	ReqDetRequiredDate date NULL,
	ReqDetVendorNumber VARCHAR(12) NULL,
	ReqDetStatusNo NUMBER(3,0) NOT NULL,
	ReqDetVendorItemNumber VARCHAR(30) NULL,
	ReqDetCost NUMBER(38,4) NULL,
	ReqDetPromiseDate date NULL,
	ReqDetOrderQty NUMBER(11,0) NULL,
	ReqDetOrderUOM VARCHAR(30) NULL,
	ReqDetReceiveQty NUMBER(11,0) NULL,
	ReqDetAltVendorNo NUMBER(11,0) NULL
) 
GO

CREATE INDEX IX_REQUESTDETAIL_REQNO ON RequestDetail(ReqNo)
GO

CREATE SEQUENCE SEQ_REQUESTDETAIL INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('RequestDetail', 'ReqDetNo')
GO

