CREATE TABLE RequestStatusHistory (
	ReqStatHistoryNo NUMBER(11,0) CONSTRAINT PK_REQUESTSTATUSHISTORY PRIMARY KEY,
	ReqNo NUMBER(11,0) NOT NULL,
	ReqStatusNo NUMBER(3,0) NOT NULL,
	ReqStatusDate date NOT NULL,
	ReqStatEmployeeID VARCHAR(12) NOT NULL,
	ReqStatAssignedToID VARCHAR(12) NULL,
	ReqStatApprovalOption NUMBER(3,0) NULL,
	ReqDetNo NUMBER(11,0) NULL,
	ReqDetStatusNo NUMBER(3,0) NULL,
	ReqDetStatusReasonCode VARCHAR(20) NULL
) 

GO

CREATE INDEX IX_REQSTATHISTORY_REQNO ON RequestStatusHistory(ReqNo)
GO

CREATE INDEX IX_REQSTATHISTORY_REQDETNO ON RequestStatusHistory(ReqDetNo)
GO

CREATE SEQUENCE SEQ_REQUESTSTATUSHISTORY INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('RequestStatusHistory', 'ReqStatHistoryNo')
GO
