CREATE TABLE Reservation (
	ReservationNo NUMBER(11,0) CONSTRAINT RESERVATION_PK PRIMARY KEY ,
	CreatedByEmployee varchar (12) NULL ,
	ReservedForEmployee varchar (12) NULL ,
	ApprovedByEmployee varchar (12) NULL ,
	DateCreated DATE NOT NULL ,
	DateRequired DATE NOT NULL ,
	ReservationType NUMBER(3,0) NULL ,
	ReservationStatus NUMBER(3,0) NOT NULL ,
	ReservationUser1 varchar (12) NULL ,
	ReservationUser3 varchar (12) NULL ,
	ReservationUser2 varchar (12) NULL ,
	ReservationUser4 varchar (12) NULL ,
	ReservationUser5 varchar (12) NULL ,
	ReservationUser6 varchar (12) NULL ,
	ReservationWONo NUMBER(11,0) NULL 
) 
GO

CREATE SEQUENCE SEQ_RESERVATION INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('Reservation', 'ReservationNo')
GO

CREATE TABLE ReservationDetail (
	ReservationDetailNo NUMBER(11,0) CONSTRAINT RESERVATIONDETAIL_PK PRIMARY KEY,
	ReservationNo NUMBER(11,0) NOT NULL ,
	ReservationCribBin varchar (15) NOT NULL ,
	ReservationCrib NUMBER(5,0) NOT NULL ,
	ReservationItemNumber varchar (%ITEMNUMBERSIZE%) NULL ,
	ReservationQuantity NUMBER(11,0) NOT NULL ,
	ReservationActualQuantity NUMBER(11,0) NOT NULL ,
	ReservationSerialID varchar (%SERIALIDSIZE%) NULL 
)
GO

CREATE SEQUENCE SEQ_RESERVATIONDETAIL INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('ReservationDetail', 'ReservationDetailNo')
GO

CREATE  INDEX ReservDetail_IX_ReservNo ON ReservationDetail(ReservationNo)
GO

CREATE  INDEX ReservDetail_IX_CribBin ON ReservationDetail(ReservationCribBin, ReservationCrib)
GO

CREATE  INDEX ReservDetail_IX_ItemNumber ON ReservationDetail(ReservationItemNumber)
GO

CREATE TABLE ReservationStatus (
	ReservationStatus NUMBER(3,0) CONSTRAINT RESERVATIONSTATUS_PK PRIMARY KEY,
	ReservationStatusDesc varchar (20) NOT NULL 
)
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(0, 'Open')
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(1, 'Approved')
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(2, 'Partially Filled')
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(3, 'Closed')
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(4, 'Rejected')
GO

INSERT INTO RESERVATIONSTATUS (ReservationStatus, ReservationStatusDesc) VALUES(5, 'Deferred')
GO






