CREATE TABLE SiteInventory (
	SiteInventoryNo NUMBER(11,0) CONSTRAINT PK_SiteInventory PRIMARY KEY,
	SiteID varchar(12) NOT NULL,
	ItemNumber varchar(12) NOT NULL,
	SiteItemNumber varchar(50) NULL,
	SiteItemDescription varchar(50) NULL,
	SiteItemComments varchar(255) NULL,
	OvrIssuePrice decimal(38, 4) NULL,
	OvrAltVendorNo NUMBER(11,0) NULL,
	OvrDefaultQty NUMBER(11,0) NULL,
	OvrItemClass varchar(15) NULL,
	OvrSiteAccessCode varchar(2) NULL
) 
GO

CREATE UNIQUE INDEX IX_SITEINVENTORY_SITEIDITEM ON SITEINVENTORY(SITEID, ITEMNUMBER)
GO

CREATE SEQUENCE SEQ_SITEINVENTORY INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('SiteInventory ', 'SiteInventoryNo')
GO


