CREATE TABLE SiteTransfers (
	SiteTransferNo NUMBER(11,0) CONSTRAINT SITETRANSFERS_PK PRIMARY KEY,
	CINo NUMBER(11,0) NOT NULL,
	QtyRequested NUMBER(11,0), 
	QtyActual NUMBER(11,0), 
	QtyMinAccepted		NUMBER(11,0), 
	DateCreated			DATE, 	
	DateApproved		DATE,
	DateInitiated		DATE,	
	DateCompleted		DATE,	
	ApproverID			VARCHAR(12),
	ToSiteNo			NUMBER(11,0), 
	ToCrib				NUMBER(11,0), 	
	ToCribBin			VARCHAR(15),
	FromSiteNo			NUMBER(11,0), 
	FromCrib			NUMBER(11,0), 	
	FromCribBin			VARCHAR(15),
	OriginatingSiteNo	NUMBER(11,0), 	
	FromSiteTransferStatus NUMBER(3,0) DEFAULT 0, 	
	ToSiteTransferStatus NUMBER(3,0) DEFAULT 0, 	
	RecordType			NUMBER(3,0),
	RequestorID			VARCHAR(12),
	FromSiteSyncTime	DATE,
	ToSiteSyncTime		DATE,
	LastModifiedTime	DATE,
	SerialID			VARCHAR(%SERIALIDSIZE%),
	SyncGeneration		NUMBER(11,0) DEFAULT 0,
	SiteTransferBatchID	NUMBER(11,0) 
)
GO

CREATE SEQUENCE SEQ_SITETRANSFERS INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('SITETRANSFERS', 'SiteTransferNo')
GO
