CREATE TABLE WODefSchedule (
	WODefScheduleNo NUMBER(11,0) CONSTRAINT PK_WODEFSCHEDULE Primary Key,
	WODefNo NUMBER(11,0) NULL ,
	AssetNo NUMBER(11,0) NULL ,
	EquipmentType NUMBER(3,0) NULL ,
	LastWODate DATE NULL ,
	BaseDate DATE NULL ,
	NextWODate DATE NULL ,
	OverrideNextWODate DATE NULL ,
	Interval NUMBER(11,0) NULL ,
	IntervalType NUMBER(3,0) NULL ,
	PreferredDay NUMBER(3,0) NULL ,
	Priority NUMBER(3,0) NULL ,
	WONo NUMBER(11,0) NULL ,
	FloatSchedule NUMBER(1,0) DEFAULT 0 NOT NULL ,
	LastRunUnits NUMBER(11,0) NULL ,
	BaseRunUnits NUMBER(11,0) NULL ,
	NextRunUnits NUMBER(11,0) NULL ,
	OverrideNextRunUnits NUMBER(11,0) NULL ,
	WODefScheduleInactive NUMBER(1,0) DEFAULT 0 NOT NULL ,
	RunUnitsInterval NUMBER(11,0) NULL ,
	ReasonCode varchar (4) NULL 
)
GO

CREATE  INDEX IX_WODEFSCHED_ASSETNO ON WODefSchedule(AssetNo)
GO

CREATE SEQUENCE SEQ_WODEFSCHEDULE INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('WODefSchedule', 'WODefScheduleNo')
GO
