CREATE OR REPLACE PROCEDURE  WXDB_REMOVEINDEXES
(TABLENAME varchar2, bPrintOnly integer DEFAULT 0 )
/****************************************************************
** THIS is used to remove INDEXES and CONSTRAINTS from the Table
** bPrintOnly = 0 Remove
**            = 1 only print output on screen 
** set serverouput on  >> to get ouptut to screen
*****************************************************************/
IS
  sqlstmt varchar2(4096) ;
  sql_cursor INTEGER ;
  create_cursor INTEGER ;
  szTableName varchar2(256);
  szConstraintName varchar(256);
  dummy	INTEGER ;

BEGIN
	sql_cursor     := DBMS_SQL.OPEN_CURSOR;
	create_cursor  := DBMS_SQL.OPEN_CURSOR;
	dbms_output.put_line('--Cursor Created' );
  DBMS_OUTPUT.ENABLE (10000) ;
  BEGIN
	  sqlstmt := 'select TABLE_NAME, CONSTRAINT_NAME from USER_CONSTRAINTS WHERE TABLE_NAME =''' || TABLENAME || '''' ;
	  DBMS_SQL.PARSE(sql_cursor, sqlstmt, 2) ;
		dummy := DBMS_SQL.EXECUTE(sql_cursor);
	  DBMS_SQL.DEFINE_COLUMN(sql_cursor, 1, szTableName,256 );
   	DBMS_SQL.DEFINE_COLUMN(sql_cursor, 2, szConstraintName,256 );
	  WHILE   DBMS_SQL.FETCH_ROWS(sql_cursor) = 1 LOOP
	  	DBMS_SQL.column_value(sql_cursor, 1, szTableName);
	  	DBMS_SQL.column_value(sql_cursor, 2, szConstraintName);
	  	sqlstmt  := 	'ALTER TABLE "' || szTableName || '" DROP CONSTRAINT "'|| szConstraintName || '" CASCADE ' ;
		  if( bPrintOnly = 0 ) then
		  	DBMS_SQL.PARSE(create_cursor, sqlstmt, 2) ;
		  end if;	
	    DBMS_OUTPUT.PUT_LINE(sqlstmt || ';' );
		END LOOP;
	    if( bPrintOnly = 0 ) then
		  	DBMS_OUTPUT.PUT_LINE('--Constraints are successfully removed' );
	    else
	    	DBMS_OUTPUT.PUT_LINE('--Constraints are successfully listed' );
	    end if ;	
	  EXCEPTION
	  /* If an exception is raised, close cursor before exiting. */
	  WHEN NO_DATA_FOUND THEN
	  	null ;
	  WHEN OTHERS THEN
		 	RAISE;  -- reraise the exception  
  END;

  BEGIN
	  sqlstmt  := 'select TABLE_NAME, INDEX_NAME from USER_INDEXES ' || 
	  						'WHERE INDEX_NAME NOT IN (SELECT CONSTRAINT_NAME from user_constraints WHERE TABLE_NAME =''' || TABLENAME || ''') '||
	  						'AND TABLE_NAME =''' || TABLENAME || '''' ;
	  DBMS_SQL.PARSE(sql_cursor, sqlstmt, 2) ;
		dummy := DBMS_SQL.EXECUTE(sql_cursor);
	  DBMS_SQL.DEFINE_COLUMN(sql_cursor, 1, szTableName,256 );
   	DBMS_SQL.DEFINE_COLUMN(sql_cursor, 2, szConstraintName,256 );
	  WHILE   DBMS_SQL.FETCH_ROWS(sql_cursor) = 1 LOOP
	  	DBMS_SQL.column_value(sql_cursor, 1, szTableName);
	  	DBMS_SQL.column_value(sql_cursor, 2, szConstraintName);
	  	sqlstmt  := ' DROP INDEX "'|| szConstraintName || '"';
		  if( bPrintOnly = 0 ) then
				  DBMS_SQL.PARSE(create_cursor, sqlstmt, 2) ;
			end if;	  
	  	DBMS_OUTPUT.PUT_LINE(sqlstmt || ';' );
		  COMMIT ;
	  END LOOP;
    if( bPrintOnly = 0 ) then
      DBMS_OUTPUT.PUT_LINE('--Indexes are successfully removed' );
	  else
	    DBMS_OUTPUT.PUT_LINE('--Indexes are successfully listed' );
	  end if ;	
	  EXCEPTION
	  WHEN NO_DATA_FOUND THEN
  		null ;
    /* If an exception is raised, close cursor before exiting. */
	  WHEN OTHERS THEN
	  	RAISE;  -- reraise the exception  
  END;
  DBMS_SQL.CLOSE_CURSOR(sql_cursor) ;
  DBMS_SQL.CLOSE_CURSOR(create_cursor) ;
EXCEPTION
  /* If an exception is raised, close cursor before exiting. */
  WHEN OTHERS THEN
    DBMS_SQL.CLOSE_CURSOR(sql_cursor) ;
    DBMS_SQL.CLOSE_CURSOR(create_cursor) ;
  	RAISE;  -- reraise the exception  
END;
