CREATE OR REPLACE PROCEDURE WXDB_RESETSEQUENCE(tablename varchar2, keyname varchar2) is
cid INTEGER;
lMaxValue INTEGER;
sqlstmt varchar2(2000);

BEGIN

cid := DBMS_SQL.OPEN_CURSOR;
sqlstmt := 'DROP SEQUENCE SEQ_'|| tablename;  

BEGIN
DBMS_SQL.PARSE(cid, sqlstmt, dbms_sql.v7);
EXCEPTION
 WHEN OTHERS THEN
	null; -- Ignore the exception 
END;

DBMS_SQL.CLOSE_CURSOR(cid);


cid := DBMS_SQL.OPEN_CURSOR;

sqlstmt := 'SELECT MAX(' || keyname || ') FROM ' || tablename;

DBMS_SQL.PARSE(cid, sqlstmt, dbms_sql.v7);
DBMS_SQL.DEFINE_COLUMN(cid, 1, lMaxValue);
IF DBMS_SQL.execute_and_fetch(cid) = 1 THEN
	DBMS_SQL.column_value(cid, 1, lMaxValue);
	IF lMaxValue IS NULL THEN
	   lMaxValue := 1;
       ELSE
          lMaxValue := lMaxValue + 1;
	 END IF;
	
	sqlstmt := 'CREATE SEQUENCE SEQ_'|| tablename ||' START WITH ' || lMaxValue || ' INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE CACHE 20 ORDER';
	DBMS_SQL.PARSE(cid, sqlstmt, dbms_sql.v7);
END IF;

DBMS_SQL.CLOSE_CURSOR(cid);

END;
