REM Reconstructs All Triggers For CribMaster Database
REM
REM WXDB_CREATESEQUENCETRIGGER must be installed first
REM
BEGIN
WXDB_CREATESEQUENCETRIGGER('ASSET', 'ASSETNO');
WXDB_CREATESEQUENCETRIGGER('BATCHLOG', 'BATCHLOGNO');
WXDB_CREATESEQUENCETRIGGER('BINLABEL', 'ID');
WXDB_CREATESEQUENCETRIGGER('CALIBRATIONREFERENCE', 'CALIBRATIONREFERENCEID');
WXDB_CREATESEQUENCETRIGGER('CHECKOUT', 'ID');
WXDB_CREATESEQUENCETRIGGER('CMAXREQUESTS', 'ID');
WXDB_CREATESEQUENCETRIGGER('CRIBSTATISTICS', 'STATISTICSID');
WXDB_CREATESEQUENCETRIGGER('DATADICTIONARY', 'DICTIONARYID');
WXDB_CREATESEQUENCETRIGGER('EVENTLOG', 'EVENTLOGNO');
WXDB_CREATESEQUENCETRIGGER('GAUGECERTIFYDETAIL', 'GAUGECERTIFYDETAILID');
WXDB_CREATESEQUENCETRIGGER('GAUGEMEASUREMENT', 'GAUGEMEASUREID');
WXDB_CREATESEQUENCETRIGGER('ITEMCLASS', 'ITEMCLASSNO');
WXDB_CREATESEQUENCETRIGGER('ITEMLIMIT', 'ITEMLIMITNO');
WXDB_CREATESEQUENCETRIGGER('KIT', 'ID');
WXDB_CREATESEQUENCETRIGGER('LICENSE', 'ID');
WXDB_CREATESEQUENCETRIGGER('LINKEDFILES', 'ID');
WXDB_CREATESEQUENCETRIGGER('PENDINGORDER', 'ID');
WXDB_CREATESEQUENCETRIGGER('PENDINGPRICE', 'PENDINGPRICEID');
WXDB_CREATESEQUENCETRIGGER('PO', 'PONUMBER');
WXDB_CREATESEQUENCETRIGGER('PODETAIL', 'ID');
WXDB_CREATESEQUENCETRIGGER('RESERVATION', 'RESERVATIONNO');
WXDB_CREATESEQUENCETRIGGER('RESERVATIONDETAIL', 'RESERVATIONDETAILNO');
WXDB_CREATESEQUENCETRIGGER('RUNUNITSHISTORY', 'RUNUNITSHISTORYNO');
WXDB_CREATESEQUENCETRIGGER('SERIALSTATUSHISTORY', 'STATUSHISTORYID');
WXDB_CREATESEQUENCETRIGGER('TASK', 'TASKNO');
WXDB_CREATESEQUENCETRIGGER('TASKITEM', 'TASKITEMNO');
WXDB_CREATESEQUENCETRIGGER('TEMPLATE', 'TEMPLATEID');
WXDB_CREATESEQUENCETRIGGER('TRANS', 'TRANSNUMBER');
WXDB_CREATESEQUENCETRIGGER('TRANSDETAIL', 'TRANSDETAILNO');
WXDB_CREATESEQUENCETRIGGER('TRANSFERS', 'COUNTER');
WXDB_CREATESEQUENCETRIGGER('WO', 'WONO');
WXDB_CREATESEQUENCETRIGGER('WODEF', 'WODEFNO');
WXDB_CREATESEQUENCETRIGGER('WODEFTASK', 'WODEFTASKNO');
WXDB_CREATESEQUENCETRIGGER('WOLABOR', 'WOLABORNO');
WXDB_CREATESEQUENCETRIGGER('WODEFSCHEDULE', 'WODEFSCHEDULENO');
WXDB_CREATESEQUENCETRIGGER('WOSTATUSHISTORY','WOSTATUSHISTORYNO');
WXDB_CREATESEQUENCETRIGGER('WOTASK', 'WOTASKNO');
WXDB_CREATESEQUENCETRIGGER('WOTASKITEM', 'WOTASKITEMNO');
END;
/
CREATE OR REPLACE TRIGGER "TRG_GAUGECERTIFY" BEFORE INSERT OR UPDATE OF "CERTIFYREASON", "ENDINGSTATUS", "ID", "OPENINGSTATUS" ON "GAUGECERTIFY" REFERENCING OLD AS OLD NEW AS NEW FOR EACH ROW DECLARE
    iCounter GAUGECERTIFY.ID%TYPE;  
    cannot_change_counter EXCEPTION;  
BEGIN  
    IF INSERTING THEN
        IF :new.ID IS NULL THEN  
	        Select SEQ_GAUGECERTIFY.NEXTVAL INTO iCounter FROM Dual;  
       	 :new.ID := iCounter;  
        END IF;
 
        IF :new.CERTIFYREASON IS NULL THEN  
            :new.CERTIFYREASON := 0; 
        END IF; 
 
        IF :new.OPENINGSTATUS IS NULL THEN  
            :new.OPENINGSTATUS := 0; 
        END IF; 
 
        IF :new.ENDINGSTATUS IS NULL THEN  
            :new.ENDINGSTATUS := 0; 
        END IF; 
    END IF;  
 
    IF UPDATING THEN  
        IF NOT (:new.ID = :old.ID) THEN  
            RAISE cannot_change_counter;  
        END IF;  
    END IF;  
 
EXCEPTION  
     WHEN cannot_change_counter THEN  
         raise_application_error(-20000, 'Cannot Change Counter Value');  
END;
/
CREATE OR REPLACE TRIGGER "TRG_PODETAIL" BEFORE INSERT OR UPDATE OF "COST", "ID", "TYPE" ON "PODETAIL" REFERENCING OLD AS OLD NEW AS NEW FOR EACH ROW DECLARE 
    iCounter PODETAIL.ID%TYPE; 
    cannot_change_counter EXCEPTION; 
BEGIN 
    IF INSERTING AND (:new.ID IS NULL) THEN 
        Select SEQ_PODETAIL.NEXTVAL INTO iCounter FROM Dual; 
        :new.ID := iCounter; 

        IF :new.COST IS NULL THEN 
            :new.COST := 0;
        END IF;

        IF :new.TYPE IS NULL THEN 
            :new.TYPE := 0;
        END IF;
    END IF; 

    IF UPDATING THEN 
        IF NOT (:new.ID = :old.ID) THEN 
            RAISE cannot_change_counter; 
        END IF; 
    END IF; 

EXCEPTION 
     WHEN cannot_change_counter THEN 
         raise_application_error(-20000, 'Cannot Change Counter Value'); 
END; 
/
