CREATE TABLE ACCESSCODE (
	AccessCode varchar (1) CONSTRAINT ACCESSCODE_PK Primary Key,
	AccessCodeDescription varchar (50) NULL 
)
GO

INSERT INTO ACCESSCODE (AccessCode, AccessCodeDescription) SELECT CLASS, DESCRIPTION FROM ITEMCLASS
GO

DROP TABLE ITEMCLASS
GO

CREATE TABLE ITEMCLASS
(
	ItemClassNo NUMBER(11,0) CONSTRAINT ITEMCLASS_PK PRIMARY KEY,
	ItemClass varchar (%ITEMCLASSSIZE%) NOT NULL,
	ItemClassDescription varchar (50) NULL 
)
GO

CREATE SEQUENCE SEQ_ITEMCLASS INCREMENT BY 1 NOMAXVALUE MINVALUE 1 NOCYCLE ORDER
GO

CALL WXDB_CREATESEQUENCETRIGGER('ITEMCLASS', 'ITEMCLASSNO')
GO


CREATE UNIQUE INDEX ITEMCLASS_IX_ITEMCLASS ON ITEMCLASS(ITEMCLASS)
GO

INSERT INTO ITEMCLASS (ItemClass, ItemClassDescription) SELECT DISTINCT substr(STRING, 1, %ITEMCLASSSIZE%), NULL FROM GLOBALSETTINGS WHERE KEYNAME LIKE 'Inventory_Group_Group%'
GO

DELETE FROM GLOBALSETTINGS WHERE KEYNAME LIKE 'Inventory_Group_%'
GO

