--ORACLE
-- Adding New Column to EMPLOYEE and INVENTRY tables if it don't exist yet
DECLARE
  l_cnt integer := 0;
BEGIN
    BEGIN
      SELECT count(*) into l_Cnt FROM user_tab_columns WHERE table_name = 'EMPLOYEE' AND column_name = 'ACCESSCODEEX';
    EXCEPTION
      WHEN NO_DATA_FOUND THEN l_Cnt := 0;
    END;
  
    IF l_Cnt = 0 THEN
      EXECUTE IMMEDIATE 'ALTER TABLE EMPLOYEE ADD ACCESSCODEEX VARCHAR2(4000)';
    END IF; --ALTER TABLE EMPLOYEE DROP COLUMN ACCESSCODEEX;

    BEGIN
      SELECT count(*) into l_Cnt FROM user_tab_columns WHERE table_name = 'INVENTRY' AND column_name = 'ACCESSCODEEX';
    EXCEPTION
      WHEN NO_DATA_FOUND THEN l_Cnt := 0;
    END;

    -- Clean AccessCodeEx value just in case it was there before
    UPDATE INVENTRY
    SET ACCESSCODEEX = NULL;

    -- Now transfer AccessCodeEx value from AccessCode into AccessCodeEx
    UPDATE INVENTRY
    SET ACCESSCODEEX = ACCESSCODE;

    -- Trancate table if it's already been populated
    EXECUTE IMMEDIATE 'TRUNCATE TABLE ACCESSCODEEX';

    -- Copy All existing Access Codes to New table
    EXECUTE IMMEDIATE 'INSERT INTO ACCESSCODEEX(ACCESSCODEEX, ACCESSCODEEXDESCRIPTION)
    SELECT ACCESSCODE, ACCESSCODEDESCRIPTION FROM ACCESSCODE';

    -- Clean AccessCodeEx value just in case it was there before
    UPDATE EMPLOYEE
    SET ACCESSCODEEX = NULL;

    -- Copy All existing Employee assigned Access Codes to New column in comma separated format
    UPDATE EMPLOYEE
    SET ACCESSCODEEX = REGEXP_REPLACE(ACCESSCODE, '()', ',');

END;

/